2010-07-18  zet
v0.15.2690 Beta
  + добавлен новый патч для корректного отображения заголовков и разделителей групп в ростере
    (psi-fix-roster-accounts-and-groups-drawing.diff)
  * обновлён screenshot plugin до версии 0.3.9
  * обновлены системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  + добавлен новый патч для скрытия неактивного элемента "доска для рисования" в меню контакта
    (psi-fix-submenu-hide.diff)
  * фикс для скрытия неактивных элементов в подменю контакта (psi-access-to-menus-from-plugins.diff,
    psi-fix-submenu-hide.diff)
  + добавлен новый иконпак с иконками jabber-клиентов размером 22x22
    (iconsets/clients/fingerprint-22.jisp)
  + добавлен новый патч для исправления сортировки контактов в ростере (по статусу/по алфавиту)
    (psi-fix-contact-sorting-style-option.diff)
  * обновлён extended options plugin до версии 0.2.8
  * исправлен перенос неактивных окон контакт-менеджера и редактора списков приватности на передний
    план при повторном их вызове (psi-account-menu-privacy-item.diff, psi-contact-manager.diff)
  + добавлен новый патч для исправления работы с группой Hidden в ростере
    (psi-fix-hidden-group.diff)
  + добавлена утилита для восстановления пароля от аккаунта по информации из
    %userprofile%\PsiData\accounts.xml. запускать утилиту можно непосредственно отсюда:
    http://psi-dev.googlecode.com/svn/trunk/scripts/passwordrecovery.html
  + добавлен новый патч для корректной работы с элементами ростера в режиме одиночного клика мышью
    (psi-fix-use-single-click.diff)
  * обновлены настройки приложения по умолчанию (psi-default-application-settings.diff,
    psi-add-options-color-highlighting.diff, psi-add-standard-transports.diff)
  + добавлен новый патч для скрытия неработающих опций ростера
    (psi-tmp-hide-useless-roster-options.diff)
  * исправлен regexp для корректного отображения иконок контактов сервиса vkontakte
    (psi-add-standard-transports.diff)
  + добавлено определение некоторых jabber-ботов: jame, pako bot, fatal-bot, storm, sulci,
    sleekbot, neutrina, yamaneko, talisman (psi-client-icons.diff)
  * обновлён иконпак с иконками jabber-клиентов (fingerprint.jisp, v0.2.10)
  --
  + added new patch for fix options outline headings and slim roster group headings
    (psi-fix-roster-accounts-and-groups-drawing.diff)
  * updated screenshot plugin to v0.3.9
  * updated system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  + added new patch for fix disabling whiteboard menu item at contact menu
    (psi-fix-submenu-hide.diff)
  * fixed submenu hide (psi-access-to-menus-from-plugins.diff, psi-fix-submenu-hide.diff)
  * updated psi-client-icons.diff, fingerprint.jisp
  + added icons clients size 22x22 (iconsets/clients/fingerprint-22.jisp)
  + added new patch for fix roster contact sorting option
    (psi-fix-contact-sorting-style-option.diff)
  * updated extended options plugin to v0.2.8
  * fixed bring to front for contact manager and privacy dlg
    (psi-account-menu-privacy-item.diff, psi-contact-manager.diff)
  + added new patch for fix roster hidden group (psi-fix-hidden-group.diff)
  + added password recovery utility by rion,
    http://psi-dev.googlecode.com/svn/trunk/scripts/passwordrecovery.html
  * fixed psi-fix-contact-sorting-style-option.diff
  + added new patch for fix activation roster items on single click (psi-fix-use-single-click.diff)
  * updated default options (psi-default-application-settings.diff,
    psi-add-options-color-highlighting.diff, psi-add-standard-transports.diff)
  + added new patch for hide autoresize and left-button-menu options
    (psi-tmp-hide-useless-roster-options.diff)
  * fixed vkontakte regexp (psi-add-standard-transports.diff)
  + added bots detection: jame, pako bot, fatal-bot, storm, sulci, sleekbot, neutrina, yamaneko,
    talisman (psi-client-icons.diff)


2010-07-11  zet
v0.15.2664 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * исправлено сворачивание окна конференции в режиме без табов (psi-muc-minimize-to-roster.diff)
  + добавлена опция "сворачивать конференцию при нажатии на кнопку закрытия"
    (psi-muc-minimize-to-roster.diff)
  ! переписана бОльшая часть кода плагина screenshot plugin (v0.3.0), подробнее - 
    http://code.google.com/p/psi-dev/wiki/plugins#Screenshot_Plugin
  - убран ненужный более патч psi-save-last-priority-in-statusdlg.diff (данный код теперь
    используется в патче psi-presets-in-status-menu.diff)
  + добавлена wiki-страница по сборке Psi+ под Meego (en, ru)
  * обновлён skins plugin до версии v0.2.6
  * обновлён патч psi-presets-in-status-menu.diff (by Dmitriy.trt), подробнее - 
    http://code.google.com/p/psi-dev/issues/detail?id=284
  + добавлен новый патч psi-fix-adhoc-set-status.diff, решена задача is305
    ( http://code.google.com/p/psi-dev/issues/detail?id=305 )
  + добавлены новые иконки для screenshot plugin (psi-iconsets.diff)
  * обновлены некоторые системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  * обновлён screenshot plugin до версии 0.3.6
  + добавлен новый патч psi-fix-empty-name-for-bookmark.diff, решена задача is45
    ( http://code.google.com/p/psi-dev/issues/detail?id=45 )
  --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  * fixed hiding muc for non tabbed mode (psi-muc-minimize-to-roster.diff)
  + added hide when closing window options in ui (psi-muc-minimize-to-roster.diff)
  ! rewritten screenshot plugin (v0.3.0),
    http://code.google.com/p/psi-dev/wiki/plugins#Screenshot_Plugin
  - removed useless patch psi-save-last-priority-in-statusdlg.diff
    (used in psi-presets-in-status-menu.diff)
  + wiki: added Meego's builds wiki page (en, ru)
  * updated skins plugin to v0.2.6
  * updated patch psi-presets-in-status-menu.diff (by Dmitriy.trt),
    http://code.google.com/p/psi-dev/issues/detail?id=284
  + added new patch psi-fix-adhoc-set-status.diff, fixed is305
    ( http://code.google.com/p/psi-dev/issues/detail?id=305 )
  + added some icons for screenshot plugin (psi-iconsets.diff)
  * updated some system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, whitesys.jisp)
  * updated screenshot plugin to v0.3.6
  + added new patch psi-fix-empty-name-for-bookmark.diff, fixed is45
    ( http://code.google.com/p/psi-dev/issues/detail?id=45 )


2010-06-27  zet
v0.15.2600 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлена возможность вывести на панель инструментов ростера кнопки для установки глобальных
    настроений, активностей и геолокаций (psi-pep-toolbar-buttons.diff)
  * фикс для psi-reset-not-complete-connection-on-status-change.diff
  * обновлён скрипт инсталлятора psiplus-install.nsi
    (теперь не удаляются пользовательские ресурсы из папки Psi+)
  * обновлён патч psi-tray-act-bring-to-front.diff (by Dmitriy.trt)
  * фиксы для for psi-roster-avatar-frame.diff
  * установлен отступ в 1 px для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * скорректирована информация в диалоге About Psi+ (psiplus-aboutdlg.diff)
  * обновлён blue skin (skins/universal/blue_skin/blue_skin.skn)
  * изменены расстояния и отступы для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * обновлён копирайт для иконпаков qip
    (iconsets/roster/qipinfium.jisp, iconsets/system/qipinfium_sys.jisp)
  * заданы умолчания в css для фрейма с аватаром в ростере (psi-css-style-sheet.diff)
  * исправлен шрифт ника для фрейма с аватаром в ростере (psi-roster-avatar-frame.diff)
  * исправлен шрифт статусного сообщения для фрейма с аватаром в ростере
    (psi-roster-avatar-frame.diff)
  + добавлена опция для возможности изменения размера собственного аватара в ростере
    (psi-roster-avatar-frame.diff)
  + добавлена опция для возможности сворачивания окна с конференцией в ростер при нажатии
    на кнопку закрытия окна (psi-muc-minimize-to-roster.diff)
  * исправлен дубль pep-диалога (psi-pep-toolbar-buttons.diff)
  * обновлён orange skin, v0.6.2(skins/universal/orange/the_orange.skn)
  * обновлены некоторые скины (skins/default_skin.skn, skins/universal/black_theme/black_theme.skn,
    skins/universal/orange/the_orange.skn, skins/universal/qip_infium/qip_infium.skn,
    skins/universal/sky/sky.skn, skins/universal/tkabber/tkabber.skn)
  * попытка решить задачу is310, http://code.google.com/p/psi-dev/issues/detail?id=310
    (psi-options-language-select.diff)
  * фикс счётчика непрочитанных сообщений в заголовке окна/таба (psi-muc-minimize-to-roster.diff)
  + добавлен опциональный размер отступа для фрейма с аватаром в ростере
    (psi-roster-avatar-frame.diff)
  * обновлён skins plugin до версии 0.2.5
  * обновлён brushed metal skin (skins/mac/brushed_metal/brushed_metal.skn)
  + добавлен новый скин Night, v0.2 (skins/universal/night/night.skn)
  --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  + added new patch: ability to add toolbar buttons for set the roster of global
    moods, activity and geolocation (psi-pep-toolbar-buttons.diff)
  * fixed psi-reset-not-complete-connection-on-status-change.diff
  * updated installer script psiplus-install.nsi (softer mode for psi+ resources)
  * update tray bring to front patch by Dmitriy.trt (psi-tray-act-bring-to-front.diff)
  * fix for psi-roster-avatar-frame.diff
  * set margin to 1 for roster avatar frame (psi-roster-avatar-frame.diff)
  * corrected about Psi+ info (psiplus-aboutdlg.diff)
  * updated blue skin (skins/universal/blue_skin/blue_skin.skn)
  * fix for mac (psi-tray-act-bring-to-front.diff)
  * changed margin and spacing in avatar's frame (psi-roster-avatar-frame.diff)
  * fixed copyright for qip icons
    (iconsets/roster/qipinfium.jisp, iconsets/system/qipinfium_sys.jisp)
  * set default css settings for avatar's frame (psi-css-style-sheet.diff)
  * fixed nick font (psi-roster-avatar-frame.diff)
  * fixed status message font (psi-roster-avatar-frame.diff)
  + added options for change avatar size (psi-roster-avatar-frame.diff)
  * small fix frame size policy (psi-roster-avatar-frame.diff)
  + added options hide conference when closing tabs (psi-muc-minimize-to-roster.diff)
  * fixed duplicate pep dialogs (psi-pep-toolbar-buttons.diff)
  * fixed size for avatar label (psi-roster-avatar-frame.diff)
  * updated orange skin, v0.6.2(skins/universal/orange/the_orange.skn)
  * major update for skins (skins/default_skin.skn, skins/universal/black_theme/black_theme.skn,
    skins/universal/orange/the_orange.skn, skins/universal/qip_infium/qip_infium.skn,
    skins/universal/sky/sky.skn, skins/universal/tkabber/tkabber.skn)
  * try to fix is310, http://code.google.com/p/psi-dev/issues/detail?id=310
    (psi-options-language-select.diff)
  * fixed counter unread messages in window title (psi-muc-minimize-to-roster.diff)
  + added optional margin for avatar frame (psi-roster-avatar-frame.diff)
  * updated skins plugin to v.0.2.5
  * updated brushed metal skin (skins/mac/brushed_metal/brushed_metal.skn)
  + added new skin Night, v0.2 (skins/universal/night/night.skn)


2010-06-15  zet
v0.15.2555 Beta
  --
 Известные проблемы (после r1784):
  1. в ростере не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлён ростерный иконпак stafex_psi_mod.jisp (iconsets/roster/stafex_psi_mod.jisp)
  * изменены некоторые иконки в форме просмотра истории переписки (psi-improve-historydlg.diff)
  * правый клик мыши на статусных меню и другие улучшения для статусных шаблонов
    (автор - Dmitriy.trt) [psi-presets-in-status-menu.diff]
  + добавлены новые ростерные иконпаки из коллекции majik (archlinux.jisp, boss.jisp, debian.jisp,
    dictionary.jisp, email.jisp, gentoo.jisp, hearts.jisp, hoodats.jisp, linux.jisp, maj-mail3.jisp,
    nuvola-smtp.jisp, oxygen-roster-22.jisp, rss-classic.jisp, slackware.jisp,
    stellar-crystalized-roster.jisp, suse.jisp)
  + добавлен новый системный иконпак tango_system.jisp (iconsets/system/tango_system.jisp)
  * обновлены некоторые ростерные иконпаки
    (iconsets/roster/stellar.jisp, iconsets/roster/tkabber.jisp)
  - убраны ненужные ростерные иконпаки
    (iconsets/roster/dictionary_es.jisp, iconsets/roster/lightbulb.jisp)
  * фиксы и улучшения для формы просмотра истории переписки (psi-improve-historydlg.diff)
  + добавлен новый патч для установки статуса непосредственно из плагина
    (psi-set-account-status-from-plugins.diff)
  * обновлён системный иконпак 'oxygen system size 22px' (iconsets/system/oxygen_sys_22.jisp)
  + добавлены новые иконпаки настроений с иконками различных размеров
  + добавлена новая опция в настройки приложения для выбора affiliations-иконпака
    (psi-muc-roster-icons.diff)
  + добавлены новые affiliations-иконпаки (adium-affiliations.jisp, black-affiliations.jisp,
    oxygen-affiliations-22.jisp, oxygen-affiliations.jisp, qipinfium-affiliations.jisp,
    white-affiliations.jisp)
  + добавлены новые affiliations-иконпаки, часть 2 (balls-affiliations.jisp,
    balls-medium-affiliations.jisp, balls-small-affiliations.jisp, medals-affiliations.jisp,
    planets-affiliations.jisp, smileys-affiliations.jisp)
  * обновлён orange skin, v.0.6.1 (skins/universal/orange/the_orange.skn)
  * поправлены системные иконпаки (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp,
    oxygen_sys_22.jisp, qipinfium_sys.jisp, summer-system.jisp, whitesys.jisp)
  + добавлен новый патч для сохранения последнего выставленного приоритета в диалоге установки
    статуса (psi-save-last-priority-in-statusdlg.diff)
  + добавлен новый патч для корректного сброса неустановившегося соединения при ручной смене статуса
    (psi-reset-not-complete-connection-on-status-change.diff)
  + добавлены новые affiliations-иконпаки, часть 3 (bombus-nostalgic-affiliations.jisp,
    tango-emotes-affiliations.jisp, vista-halloween-affiliations.jisp)
  + добавлен новый ростерный иконпак graphite.jisp (iconsets/roster/graphite.jisp)
  * улучшены параметры значений по умолчанию для macosx (psi-default-application-settings.diff)
  ! начата работа над немецкой локализацией wiki-страниц (спасибо Torsten)
  ! теперь для работы с инсталлятором Psi+ используется NSIS, http://nsis.sourceforge.net/
  + добавлен скрипт для инсталлятора Psi+ (psiplus-install.nsi)
  ! обновлены системные библиотеки Qt до версии 4.6.3,
    http://qt.nokia.com/developer/changes/changes-4.6.3
  ! обновлены библиотеки Psimedia до версии 1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! обновлён GStreamer до версии 0.10.28
 --
 Known issues (after r1784):
  1. hidden roster group does not work (upstream version bug)
  --
 Changelog:
  * updated stafex_psi_mod.jisp (iconsets/roster/stafex_psi_mod.jisp)
  * changed some icons for psi-improve-historydlg.diff
  * right click mouse on statuses menus and other improvements (by Dmitriy.trt)
    [psi-presets-in-status-menu.diff]
  + added some roster iconsets from majik collection (archlinux.jisp, boss.jisp, debian.jisp,
    dictionary.jisp, email.jisp, gentoo.jisp, hearts.jisp, hoodats.jisp, linux.jisp, maj-mail3.jisp,
    nuvola-smtp.jisp, oxygen-roster-22.jisp, rss-classic.jisp, slackware.jisp,
    stellar-crystalized-roster.jisp, suse.jisp)
  + added tango_system.jisp (iconsets/system/tango_system.jisp)
  * updated some roster iconsets (iconsets/roster/stellar.jisp, iconsets/roster/tkabber.jisp)
  - removed useless roster iconsets
    (iconsets/roster/dictionary_es.jisp, iconsets/roster/lightbulb.jisp)
  * some code cleanings and fixes for psi-improve-historydlg.diff
  + added new patch for set account status from plugin (psi-set-account-status-from-plugins.diff)
  * updated system iconset 'oxygen system size 22px' (iconsets/system/oxygen_sys_22.jisp)
  + added some sized moods iconsets
  + added options for change affiliations iconsets (psi-muc-roster-icons.diff)
  + added affiliations iconsets (adium-affiliations.jisp, black-affiliations.jisp,
    oxygen-affiliations-22.jisp, oxygen-affiliations.jisp, qipinfium-affiliations.jisp,
    white-affiliations.jisp)
  + added more affiliations iconsets (balls-affiliations.jisp, balls-medium-affiliations.jisp,
    balls-small-affiliations.jisp, medals-affiliations.jisp, planets-affiliations.jisp,
    smileys-affiliations.jisp)
  * updated orange skin, v.0.6.1 (skins/universal/orange/the_orange.skn)
  * fixed system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, oxygen_sys_22.jisp,
    qipinfium_sys.jisp, summer-system.jisp, whitesys.jisp)
  + added new patch: save last priority in status dialog (psi-save-last-priority-in-statusdlg.diff)
  + added new patch: reset not complete connection on status change
    (psi-reset-not-complete-connection-on-status-change.diff)
  + added Bombus nostalgic and other affiliations iconsets (bombus-nostalgic-affiliations.jisp,
    tango-emotes-affiliations.jisp, vista-halloween-affiliations.jisp)
  + added new roster iconset graphite.jisp
  * some changes for default options on macosx (psi-default-application-settings.diff)
  ! started german localization (thanks to Torsten)
  ! now we use NSIS for Psi+ installers, http://nsis.sourceforge.net/
  + added installation script (psiplus-install.nsi)
  ! updated Qt libs to v4.6.3, http://qt.nokia.com/developer/changes/changes-4.6.3
  ! updated Psimedia libs to v1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! updated GStreamer to v0.10.28


2010-06-06  zet
v0.15.2514 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлён brushed metal skin, v.0.2.1 (skins/mac/brushed_metal/brushed_metal.skn)
  * обновлён chess plugin до версии 0.1.5
  * обновлён icq must die plugin до версии 0.1.3
  * фикс по задаче 301, http://code.google.com/p/psi-dev/issues/detail?id=301
    (psi-typed-history.diff)
  + добавлен детект jabber-клиента Swift-IM (psi-client-icons.diff)
  + добавлен новый патч, добавляющий вызов шаблонов в статусном меню (патч от Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=284) [psi-presets-in-status-menu.diff]
  * если расцветка ников в конференции выключена, то не используется и раскраска по hash
    (psi-muc-nick-hash-color.diff)
  + добавлен детект jabber-клиента Bombus Avalon (psi-client-icons.diff)
  + добавлена новая опция options.ui.muc.roster-nick-coloring на включение/выключение раскраски
    ников в ростере конференции psi-muc-roster-icons.diff
  * обновлён extended options plugin до версии 0.2.7
  + добавлен новый патч psi-tray-act-bring-to-front.diff (патч от Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=300)
  * фиксы дефолтных цветов ников в ростере конференции (psi-muc-roster-icons.diff)
  + добавлен новый ростерный иконпак stafex_psi_mod.jisp (авторы - Dragonizer и majik)
    [iconsets/roster/stafex_psi_mod.jisp]
  * величина радиуса углов собственного аватара в ростере теперь зависит от соответствующей опции
    в настройках приложения (psi-roster-avatar-frame.diff)
  + добавлена новая опция для включения/отключения отображения кнопки отправки сообщения
    (psi-send-button-arrow.diff)
  * небольшая оптимизация для патча psi-modern-roster.diff
  + добвлен новый патч на поддержку ростерных/системных иконок различного размера (экспериментально)
    (psi-custom-icons-size.diff)
  + добавлен новый патч на добавление меню переключения языка приложения непосредственно из
    настроек Psi+ (psi-options-language-select.diff)
  * откат к предыдущей версии диалога с историей сообщений (psi-improve-historydlg.diff, r2290)
  * обновлён skins plugin до версии 0.2.3
  * исправления и оптимизация activities-иконпака (iconsets/activities/psiplus-activities-16.jisp)
  + добавлен новый activities-иконпак (iconsets/activities/rederick-activities-16.jisp)
  + добавлен новый иконпак настроений rederick-moods-16.jisp (новая версия иконпака gajim1108.jisp)
  * обновлён watcher plugin до версии 0.2.7
  * небольшое обновление русской локализации от ivan101 (psi-ru svn, r174, 2010-05-27)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  * updated brushed metal skin, v.0.2.1 (skins/mac/brushed_metal/brushed_metal.skn)
  * updated chess plugin to v0.1.5
  * updated icq must die plugin to v0.1.3
  * try to fix issue 301, http://code.google.com/p/psi-dev/issues/detail?id=301
    (psi-typed-history.diff)
  + added detection Swift-IM jabber client (psi-client-icons.diff)
  + added new patch: presets in status menu (patch from Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=284) [psi-presets-in-status-menu.diff]
  * if nick coloring is disabled then not use hash coloring (psi-muc-nick-hash-color.diff)
  + added detection Bombus Avalon jabber client (psi-client-icons.diff)
  + added new options.ui.muc.roster-nick-coloring to psi-muc-roster-icons.diff
  * updated extended options plugin to v0.2.7
  + added new patch psi-tray-act-bring-to-front.diff (patch from Dmitriy.trt,
    http://code.google.com/p/psi-dev/issues/detail?id=300)
  * some fixes for default muc roster nick colors (psi-muc-roster-icons.diff)
  + added roster iconset stafex_psi_mod.jisp by Dragonizer, majik
    (iconsets/roster/stafex_psi_mod.jisp)
  * improved psi-roster-avatar-frame.diff
  + added options for disable send button (psi-send-button-arrow.diff)
  * some optimizations for psi-modern-roster.diff
  + added 2 new patches: custom icons size patch and language select patch
    (psi-custom-icons-size.diff, psi-options-language-select.diff)
  * reverted psi-improve-historydlg.diff to r2290
  * updated skins plugin to v.0.2.3
  * fixing and optimizing "Psi+ Activities" iconset (iconsets/activities/psiplus-activities-16.jisp)
  + added rederick-activities-16.jisp iconset
  + added rederick-moods-16.jisp iconset (renewed version of gajim1108.jisp)
  * updated watcher plugin to v0.2.7
  * small updates of russian localization by ivan101 (psi-ru svn, r174, 2010-05-27)


2010-05-23  zet
v0.15.2460 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен новый патч для автоматического сворачивания по таймауту главного окна Psi+
    (psi-roster-autohide.diff)
  + добавлен вызов краткой справки по плагину непосредственно из окна с настройками плагина,
    часть 1: attention plugin, autoreply plugin, chess plugin, cleaner plugin,
    conference logger plugin, extended options plugin
  + добавлен вызов краткой справки по плагину, часть 2: birthday reminder plugin,
    gmail notification plugin, history keeper plugin, icq die plugin, image plugin, juick plugin,
    qip x-statuses plugin
  + добавлена возможность отключения вертикального скроллбара в ростере конференции
    (psi-roster-disable-scrollbar.diff)
  + добавлен вызов краткой справки по плагину, часть 3: screenshot plugin, skins plugin,
    stop spam plugin, storage notes plugin, translate plugin, watcher plugin
  + добавлена иконка для кнопки вызова краткой справки по плагину (psi-plugin-info-button.diff)
  * улучшения для панели поиска по чатлогу (psi-typeahead-find.diff)
  * улучшения в css для чатов. использование TabDlg {} (psi-css-style-sheet.diff)
  + добавлен новый патч для исправления запоминания размеров и положения окна с
    headline-сообщениями (psi-fix-eventdlg-resizing.diff)
  + добавлен новый патч на опциональное расположение всплывающих окон. используются опции
    options.ui.notifications.passive-popups.at-left-corner и
    options.ui.notifications.passive-popups.top-to-bottom options
  + добавлены англоязычные страницы wiki/en-US/alt_linux.wiki и wiki/en-US/arch_linux.wiki
  + добавлен новый патч для изменения стандартной иконки приложения в unix на логотип Psi+
    (psiplus-nix-application-icon-and-name.diff)
  - убран патч psi-fix-eventdlg-resizing.diff. патч принят upstream-разработчиками
  * изменён размер панели поиска по чатлогу и фикс нажатия кнопки поиска (psi-typeahead-find.diff)
  + добавлен детект клиента BombusKlub, обновлён fingerprint.jisp (спасибо westsibe)
  * поправлена иконка для клиента bombus-avalon (fingerprint.jisp, v0.2.9)
  * обновлён birthday reminder plugin до версии 0.2.5
  * обновлён icq must die plugin до версии 0.1.1
  * настройки приложения по умолчанию: теперь используется сочетание кнопок "Shift+Del" в качестве
    горячей кнопки для удаления выбранного контакта из ростера Psi+. ранее для этого использовалась
    кнопка "Del" (psi-default-application-settings.diff)
  * chess plugin: больше строк для локализации (v0.1.5)
  * обновлён orange skin, v.0.5.2 (skins/universal/orange/the_orange.skn)
  ! обновлена русская локализация от ivan101 (psi-ru svn, r173, 2010-05-23)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added new patch - roster autohide patch (psi-roster-autohide.diff)
  + added plugins information, part 1  (attention plugin, autoreply plugin, chess plugin,
    cleaner plugin, conference logger plugin, extended options plugin)
  + added plugins information, part 2 (birthday reminder plugin, gmail notification plugin,
    history keeper plugin, icq die plugin, image plugin, juick plugin, qip x-statuses plugin)
  + disable scrollbar for muc roster (psi-roster-disable-scrollbar.diff)
  + added plugins information, part 3 (screenshot plugin, skins plugin, stop spam plugin,
    storage notes plugin, translate plugin, watcher plugin)
  + added icons for psi-plugin-info-button.diff
  * some changes for findbar style (psi-typeahead-find.diff)
  * more css for chats. use TabDlg {} (psi-css-style-sheet.diff)
  + added new patch to fix headline messages resizing (psi-fix-eventdlg-resizing.diff)
  + added new patch for optional location of popups.
    options.ui.notifications.passive-popups.at-left-corner and
    options.ui.notifications.passive-popups.top-to-bottom options
  + added wiki/en-US/alt_linux.wiki, wiki/en-US/arch_linux.wiki
  + added new patch to change unix icon to Psi+ logo (psiplus-nix-application-icon-and-name.diff)
  - removed psi-fix-eventdlg-resizing.diff. implemented in upstream
  * resized find line and fixed toggle button (psi-typeahead-find.diff)
  + added BombusKlub client detection, updated fingerprint.jisp (thanks to westsibe)
  * fixed bombus-avalon icon in fingerprint.jisp (v0.2.9)
  * updated birthday reminder plugin to v0.2.5
  * updated icq must die plugin to v0.1.1
  * defaults: use Shift+Del shortcut to delete the selected contact
    (psi-default-application-settings.diff)
  * more translatable for chess plugin (v0.1.5)
  * updated orange skin, v.0.5.2 (skins/universal/orange/the_orange.skn)
  ! updated russian localization by ivan101 (psi-ru svn, r173, 2010-05-23)


2010-05-16  zet
v0.15.2417 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * обновлена информация об участниках проекта, Psi -> Help -> About -> About Psi+
    (psiplus-aboutdlg.diff)
  + добавлена статья faq.wiki на английском языке,
    http://code.google.com/p/psi-dev/wiki/faq?wl=en-US
  * фикс загрузки/выгрузки плагинов при смене профиля Psi+, оптимизация некоторых плагинных патчей
  * обновлён stop spam plugin до версии 0.3.5,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  * поправлен патч psi-get-your-jid-for-activetab-from-plugins.diff
  + добавлена статья features.wiki на английском языке,
    http://code.google.com/p/psi-dev/wiki/features?wl=en-US
  - убран ненужный патч psi-debianize.diff ( git://github.com/zerkalica/psi-plus-debian.git )
  * поправлен патч psi-get-account-info-from-plugins.diff
  * улучшения для psi-plugins-options.diff. теперь стало возможно обновлять плагины без рестарта
    Psi+. достаточно отключить плагин в настройках приложения, обновить файл плагина и потом вновь
    включить плагин в настройках приложения
  * обновлён attention plugin до версии 0.1.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/attentionplugin/changelog.txt (UTF-8)
  * исправлен цвет счётчика пропущенных сообщений в конференции при условии, что статусное
    сообщение не пустое (psi-muc-minimize-to-roster.diff)
  * объединены некоторые зависящие друг от друга плагинные патчи в один патч
    (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * большое обновление статьи av_calls.wiki, http://code.google.com/p/psi-dev/wiki/av_calls
  * завершена английская локализация статьи plugins.wiki,
    http://code.google.com/p/psi-dev/wiki/plugins?wl=en-US
  * обновлён иконпак для activities: gajim-activities.jisp -> rederick-activities.jisp
  * обновлён скин orange skin, v.0.4 (skins/universal/orange/the_orange.skn)
  * обновлён иконпак с иконками jabber-клиентов fingerprint.jisp, v0.2.7
    (добавлена иконка мобильного jabber-клиента Jimm Aspro)
  * обновлён патч psi-client-icons.diff (Jimm Aspro)
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  * updated about psi+ tab, Psi -> Help -> About -> About Psi+ (psiplus-aboutdlg.diff)
  + added faq.wiki in english, http://code.google.com/p/psi-dev/wiki/faq?wl=en-US
  * fixed loading and unloading plugins when profile changes, cleanup plugins patches
  * updated stop spam plugin to v0.3.5,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  * fixed psi-get-your-jid-for-activetab-from-plugins.diff
  + added features.wiki in english, http://code.google.com/p/psi-dev/wiki/features?wl=en-US
  - removed psi-debianize.diff. it not needed,
    for debian specs use git://github.com/zerkalica/psi-plus-debian.git
  * fixed psi-get-account-info-from-plugins.diff
  * improved psi-plugins-options.diff. for now possible to update the plugin without restarting
    the application. just disable it in options, update file, than enable it
  * updated attention plugin to v0.1.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/attentionplugin/changelog.txt (UTF-8)
  * fixed color of the conference messages counter if the status message is not empty
    (psi-muc-minimize-to-roster.diff)
  * merged some patches for plugin system into one patch because these patches do not work
    separately (psi-plugins-options-and-fix-plugins-loading-and-unloading.diff)
  * big update to the av_calls page (wiki/av_calls.wiki, wiki/en-US/av_calls.wiki),
    http://code.google.com/p/psi-dev/wiki/av_calls
  * plugins.wiki: completed English localization,
    http://code.google.com/p/psi-dev/wiki/plugins?wl=en-US
  * correction for activities iconsets: gajim-activities.jisp -> rederick-activities.jisp
  * updated orange skin, v.0.4 (skins/universal/orange/the_orange.skn)
  * updated fingerprint.jisp, v0.2.7 (added icon for Jimm Aspro)
  * updated psi-client-icons.diff (Jimm Aspro)


2010-05-11  zet
v0.15.2378 Beta
  --
 Известные проблемы (после r1784):
  1. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен новый системный иконпак White
    (iconsets/roster/white_theme.jisp, iconsets/system/whitesys.jisp)
  * исправления в скинах (black_theme.skn, qip_infium.skn, sky.skn, tkabber.skn, default_skin.skn)
  * поправлены ссылки на Wiki в настройках плагинов Psi+
  * попытка решить задачу 68, http://code.google.com/p/psi-dev/issues/detail?id=68 .
    теперь при запуске Psi+ не должен производить проверку наличия новых версий при отключенной
    опции options.auto-update.check-on-startup в дополнительных настройках приложения
    (psi-dirty-check.diff)
  * обновлён скин Brushed Metal, v0.2 (skins/mac/brushed_metal.skn)
  * обновлён смайлпак Android.jisp: добавлено 4 смайла, изменено 2 смайла
    (iconsets/emoticons/Android.jisp)
  * решена задача 296, http://code.google.com/p/psi-dev/issues/detail?id=296
    (psi-add-client-icon-to-chatdlg.diff)
  + добавлена кнопка сброса координат местоположения в форме управления геолокацией
    (psi-geolocation.diff)
  * исправлена обработка некоторых полей в форме геолокации (psi-geolocation.diff)
  + добавлен новый патч для загрузки плагинов в алфавитном порядке при старте приложения
    (psi-use-plugins-in-alphabetical-order.diff)
  + на wiki-страницу скачиваний добавлены ссылки на репозитории для Ubuntu (downloads.wiki)
  * исправлена обработка символа "&" при работе с шаблонами (psi-send-button-context-menu.diff)
  * обновлён skins plugin до версии 0.2.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + добавлен новый скин Orange, v0.3 (skins/universal/orange/the_orange.skn)
  * изменены размеры по умолчанию для окна редактора топика конференции (psi-muc-topic.diff)
  + добавлен ростерный иконпак Android (iconsets/roster/Android.jisp)
  * исправлена очистка ростера от виртуального контакта конференции при отключении от сети,
    is187, http://code.google.com/p/psi-dev/issues/detail?id=187 (psi-muc-minimize-to-roster.diff)
  * исправлено падение приложения при открытии окна с пустой историей переписки с контактом
    (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  * изменён порядок следования записей в окне с историей переписки
    (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  + добавлена кнопка сворачивания окна с историей переписки (psi-improve-historydlg.diff)
  + добавлен новый патч для вызова дополнительной информации о плагинах Psi+ непосредственно
    из настроек плагинов (задел на будущее) (psi-plugin-info-button.diff)
  * менеджер контактов: совместимость с draft-ietf-xmpp-3921bis-06 (psi-contact-manager.diff)
  ! начата работа над английской версией wiki-страниц проекта
  --
 Known issues (after r1784):
  1. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added new system icons White (iconsets/roster/white_theme.jisp, iconsets/system/whitesys.jisp)
  * fixed skins (black_theme.skn, qip_infium.skn, sky.skn, tkabber.skn, default_skin.skn)
  * added Q_OBJECT macro into ContactManagerView (psi-contact-manager.diff)
  * fixed wiki urls for psi+ plugins
  * try to fix is68, http://code.google.com/p/psi-dev/issues/detail?id=68 (psi-dirty-check.diff)
  * updated brushed metal skin to v0.2 (skins/mac/brushed_metal_(mac).skn)
  * updated Android.jisp: +4 emoticons, changed 2 emoticons (iconsets/emoticons/Android.jisp)
  * fixed is296, http://code.google.com/p/psi-dev/issues/detail?id=296
    (psi-add-client-icon-to-chatdlg.diff)
  + added reset button to geolocationdlg (psi-geolocation.diff)
  * try to fix psi-add-client-icon-to-chatdlg.diff
  * fixed psi-geolocation.diff
  + added new patch psi-use-plugins-in-alphabetical-order.diff
  + added links to repository for Ubuntu version (downloads.wiki)
  + added change status from dbus (psi patch from debian), psi-add-dbus-status.diff
  * fixed '&' char in templates menu (psi-send-button-context-menu.diff)
  * updated skins plugin to v0.2.0,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + added orange skin, v0.3 (skins/universal/orange/the_orange.skn)
  * resized topic window (psi-muc-topic.diff)
  + added Android roster iconset (iconsets/roster/Android.jisp)
  * fixed remove muc items when offline, is187,
    http://code.google.com/p/psi-dev/issues/detail?id=187 (psi-muc-minimize-to-roster.diff)
  * fixed crash on empty history (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  * proper sorting of history (psi-all-in-one-window.diff, psi-improve-historydlg.diff)
  + minimizable history (psi-improve-historydlg.diff)
  + added new patch: plugin info button to plugins settings window. need plugins support
    (psi-plugin-info-button.diff)
  * contactmanager more compatible with draft-ietf-xmpp-3921bis-06 (psi-contact-manager.diff)
  ! started english localization for wiki content


2010-05-03  zet
v0.15.2296 Beta
  --
 Известные проблемы (после r1784):
  1. поиск контактов в ростере работает нестабильно (баг upstream-версии)
  2. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен патч на исправление поведения окна чата при открытии первого непрочитанного сообщения
    (psi-fix-proccess-first-message.diff)
  * обновлён stop spam plugin до версии 0.3.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  + добавлено отображение иконки jabber-клиента собеседника в окне чата
    (psi-add-client-icon-to-chatdlg.diff)
  * исправлено поведение разделителей в окне конференции (psi-muc-roster-size-and-location.diff)
  + добавлен патч для решения задачи 98 (psi-add-join-groupchat-item-to-account-menu.diff)
  + добавлен патч на отображение в ростере собственной аватары, кнопки выбора статуса и поле для
    быстрого ввода статусного сообщения (psi-roster-avatar-frame.diff)
  * обновлён skins plugin до версии 0.1.1,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  * обновлён watcher plugin до версии 0.2.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/watcherplugin/changelog.txt (UTF-8)
  - убран патч psi-fix-alt+N-crash.diff (реализовано upstream-разработчиками)
  * обновлён extended options plugin до версии 0.2.4,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/extendedoptionsplugin/changelog.txt
    (UTF-8)
  * исправлен порядок расположения групп в ростере (psi-muc-minimize-to-roster.diff)
  + добавлен ростерный иконпак Berlin Traffic Lights (iconsets/roster/berlin.jisp)
  * обновлены некоторые скины
  --
 Known issues (after r1784):
  1. contacts search in roster works unstable (upstream version bug)
  2. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added patch to fix proccess first message (psi-fix-proccess-first-message.diff)
  * updated stop spam plugin to v0.3.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt (UTF-8)
  + added client icon to chat dialog (psi-add-client-icon-to-chatdlg.diff)
  * fixed muc splitters position (psi-muc-roster-size-and-location.diff)
  + added patch to fix issues 98 (psi-add-join-groupchat-item-to-account-menu.diff)
  + added roster-avatar-frame patch (psi-roster-avatar-frame.diff)
  * updated skins plugin to v0.1.1,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/skinsplugin/changelog.txt (UTF-8)
  + added missing options to default.xml for some patches (psi-all-in-one-window.diff,
    psi-movable-tabs-qt45-and-custom-style.diff, psi-typeahead-find.diff)
  * fixed status menu for psi-roster-avatar-frame.diff
  * updated watcher plugin to v0.2.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/watcherplugin/changelog.txt (UTF-8)
  - removed psi-fix-alt+N-crash.diff. implemented by upstream
  * updated extended options plugin to v0.2.4,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/extendedoptionsplugin/changelog.txt
    (UTF-8)
  * fixed roster position groups (psi-muc-minimize-to-roster.diff)
  + added roster iconset Berlin Traffic Lights (iconsets/roster/berlin.jisp)
  * updated some skins


2010-04-25  zet
v0.15.2215 Beta
  --
 Известные проблемы (после r1784):
  1. не работает поиск контактов в ростере (баг upstream-версии)
  2. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  * поправлен смайлпак yahoo_gif.jisp
  + добавлен системный иконпак в стиле QIP Infium (iconsets/system/qipinfium_sys.jisp)
  + добавлен скин в стиле QIP Infium (skins/win32/qip_infium.skn)
  * фикс повторного входа в уже открытую конференцию (psi-muc-minimize-to-roster.diff)
  + добавлена горячая кнопка для управления табом с конференцией (свернуть, развернуть, покинуть)
    (psi-muc-minimize-to-roster.diff)
  + добавлена опция options.ui.muc.show-client-icons на показ иконок jabber-клиентов
    в ростере конференции (psi-muc-roster-icons.diff)
  + добавлены универсальные скины (skins/universal/black_theme.skn, skins/universal/qip_infium.skn,
    skins/universal/sky.skn, skins/universal/tkabber.skn)
  * обновлён chess plugin до версии 0.1.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/chessplugin/changelog.txt (UTF-8)
  * обновлены некоторые системные иконпаки
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, qipinfium_sys.jisp, summer-system.jisp)
  + добавлен новый смайлпак GTalk smiles.jisp, v0.1 (iconsets/emoticons/GTalk-smiles.jisp)
  + добавлен детект следующих jabber-клиентов (psi-client-icons.diff):
    QIP 2010, AQQ, asterisk, buddydroid, ovi-chat, weather2jabber, yandexmail, radio-t
  * обновлён иконпак с иконками клиентов fingerprint.jisp, v0.2.6 (iconsets/clients/fingerprint.jisp)
  * обновлён conference logger plugin до версии 0.1.3,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
    (UTF-8)
  ! обновлена русская локализация (автор - ivan101)
  --
 Known issues (after r1784):
  1. contacts search in roster does not work (upstream version bug)
  2. hidden group does not work (upstream version bug)
  --
 Changelog:
  * fixed iconsets/emoticons/yahoo_gif.jisp
  + added qip infium system iconset (iconsets/system/qipinfium_sys.jisp)
  + added qip infium skin (skins/win32/qip_infium.skn)
  * fixed empty contact after join in already opened groupchat (psi-muc-minimize-to-roster.diff)
  + added shortcuts for manage muc tab (minimize, restore, leave) (psi-muc-minimize-to-roster.diff)
  + added options.ui.muc.show-client-icons (psi-muc-roster-icons.diff)
  + added universal skins (skins/universal/black_theme.skn, skins/universal/qip_infium.skn,
    skins/universal/sky.skn, skins/universal/tkabber.skn)
  * updated chess plugin to v0.1.2,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/chessplugin/changelog.txt (UTF-8)
  * updated some system iconsets
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, qipinfium_sys.jisp, summer-system.jisp)
  + added GTalk smiles.jisp, v0.1 (iconsets/emoticons/GTalk-smiles.jisp)
  + added some jabber clients detection (psi-client-icons.diff):
    QIP 2010, AQQ, asterisk, buddydroid, ovi-chat, weather2jabber, yandexmail, radio-t
  * updated fingerprint.jisp to v0.2.6 (iconsets/clients/fingerprint.jisp)
  * updated conference logger plugin to v0.1.3,
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
    (UTF-8)
  * updated russian localization (by ivan101)


2010-04-19  zet
v0.15.2173 Beta
  --
 Известные проблемы (после r1784):
  1. не работает поиск контактов в ростере (баг upstream-версии)
  2. не работает группа hidden (баг upstream-версии)
  --
 Changelog:
  + добавлен скин "black theme", v0.2 (black_theme_(nix).skn, black_theme_(win32).skn)
  * исправлено поведение приложения после кика из конференции (psi-muc-minimize-to-roster.diff)
  * обновлён skins plugin до версии 0.0.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Skins_Plugin
  * обновлён storage notes plugin до версии 0.1.0,
    http://code.google.com/p/psi-dev/wiki/plugins#Storage_Notes_Plugin
  * обновлён скин "blue skin", v0.8 (blue_skin.skn)
  * обновлён qip x-statuses plugin до версии 0.0.4,
    http://code.google.com/p/psi-dev/wiki/plugins#Qip_X-statuses_Plugin
  + добавлена опция на скрытие иконки статуса в заголовке таба (спасибо Nexor)
    (psi-tab-status-icon.diff)
  * фикс иконки статуса на табе с конференцией
    (psi-muc-minimize-to-roster.diff, psi-tab-status-icon.diff)
  + в папку sound добавлены некоторые музыкальные файлы для звукового сопровождения работы плагинов
    (attention.wav, chess_error.wav, chess_finish.wav, chess_move.wav, chess_start.wav,
    reminder.wav, watcher.wav)
  + добавлен скин "sky", v0.1 (sky_(nix).skn, sky_(win32).skn)
  * обновлён attention plugin до версии 0.0.8,
    http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  * обновлён birthday reminder plugin до версии 0.2.2,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * обновлён watcher plugin до версии 0.2.1,
    http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  + добавлен патч для поддержки видеообмена при голосовых вызовах (by Arseniy Lartsev,
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2010-March/009046.html
    (psi-avcalls-enable-video.diff)
  - убран скин "shine mac"
  * обновлён extended options plugin до версии 0.2.3,
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  + восстановлен патч psi-deactivation-some-menu-items.diff
  + добавлен скин "minimal theme", v0.1 (minimal_theme_(nix).skn)
  + добавлен скин "tkabber", v0.2 (tkabber_(nix).skn, tkabber_(win32).skn)
  + добавлен ростерный иконпак tkabber.jisp
  + добавлен системный иконпак tkabber_sys.jisp
  + добавлен показ иконок jabber-клиентов в ростере конференции (psi-muc-roster-icons.diff)
  + добавлен патч на исправение показа версии jabber-клиента во всплывающей подсказке над контактами
    в ростере конференции (psi-fix-client-version-in-muc-roster-tooltip.diff)
  + добавлен скин "brushed metal", v0.1 (brushed_metal_(mac).skn)
  * обновлён stop spam plugin до версии 0.3.1,
    http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin
  * обновлён смайлпак yaemomidget.jisp
  + добавлен новый плагин Шахматы (chess plugin, v0.0.3), подробнее --
    http://code.google.com/p/psi-dev/wiki/plugins#Chess_Plugin
  * обновлён список участников проекта Psi+ (psiplus-aboutdlg.diff)
  * решена задача issue 136 (psi-send-custom-status.diff)
  * обновлён смайлпак mra-emoticons.jisp (v1.0)
  ! обновлена русская локализация (автор - ivan101)
  --
 Known issues (after r1784):
  1. contacts search in roster does not work (upstream version bug)
  2. hidden group does not work (upstream version bug)
  --
 Changelog:
  + added 'black theme' skin, v0.2 (black_theme_(nix).skn, black_theme_(win32).skn)
  * fixed item conference after kick (psi-muc-minimize-to-roster.diff)
  * some fix muc join mechanism (psi-muc-minimize-to-roster.diff)
  * updated skins plugin to v0.0.9, http://code.google.com/p/psi-dev/wiki/plugins#Skins_Plugin
  * updated storage notes plugin to v0.1.0,
    http://code.google.com/p/psi-dev/wiki/plugins#Storage_Notes_Plugin
  * updated 'blue skin', v0.8 (blue_skin.skn)
  * updated qip x-statuses plugin to v0.0.4,
    http://code.google.com/p/psi-dev/wiki/plugins#Qip_X-statuses_Plugin
  + added options to hide icons on tabs (thx to Nexor) (psi-tab-status-icon.diff)
  * fix muc status icons (psi-muc-minimize-to-roster.diff, psi-tab-status-icon.diff)
  + added some plugins sounds (attention.wav, chess_error.wav, chess_finish.wav, chess_move.wav,
    chess_start.wav, reminder.wav, watcher.wav) to sound dir
  + added 'sky' skin, v0.1 (sky_(nix).skn, sky_(win32).skn)
  * updated attention plugin to v0.0.8,
    http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  * updated birthday reminder plugin to v0.2.2,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * updated watcher plugin to v0.2.1, http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  + added video support patch by Arseniy Lartsev, copied exactly from
    http://lists.affinix.com/pipermail/psi-devel-affinix.com/2010-March/009046.html
    (psi-avcalls-enable-video.diff)
  * fixed accessing missing option for psi-roster-groups-disable.diff
  - removed 'shine mac' skin
  * updated extendedoptionsplugin to v0.2.3,
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  * some fix muc items (psi-muc-minimize-to-roster.diff)
  + restored psi-deactivation-some-menu-items.diff
  + added 'minimal theme' skin, v0.1 (minimal_theme_(nix).skn)
  + added 'tkabber' skin, v0.2 (tkabber_(nix).skn, tkabber_(win32).skn)
  + added iconsets/roster/tkabber.jisp
  + added iconsets/system/tkabber_sys.jisp
  + added display of jabber client icons in muc roster (psi-muc-roster-icons.diff)
  * fixed client version in muc tooltip (psi-fix-client-version-in-muc-roster-tooltip.diff)
  + added brushed metal skin, v0.1 (brushed_metal_(mac).skn)
  * updated stop spam plugin to v0.3.1,
    http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin
  * update iconsets/emoticons/yaemomidget.jisp
  + added chess plugin (v0.0.3), http://code.google.com/p/psi-dev/wiki/plugins#Chess_Plugin
  * updated about psi+ info (psiplus-aboutdlg.diff)
  * fixed issue 136 (psi-send-custom-status.diff)
  * updated mra-emoticons.jisp to v1.0
  ! updated russian localization (by ivan101)


2010-04-05  zet
v0.15.2095 Beta
  --
 Известные проблемы (после r1784):
  1. не работает поиск контактов в ростере
  2. не работает отключение пунктов меню
  3. не работает группа hidden
  4. устаревшая русская локализация
  --
 Changelog:
  + добавлена возможность вывода кнопки вкл/выкл отображения групп в ростере на панель кнопок
    (psi-roster-groups-disable.diff)
  * исправления для системных иконпаков (oxygen_sys.jisp, summer-system.jisp)
  * исправлено падение приложения при попытке присоединения к конференциям, защищённым капчей
    (psi-muc-minimize-to-roster.diff)
  - убран патч psi-roster-fix-online-contacts-coloring.diff (реализовано в upstream-версии)
  - убран патч psi-paint-roster-background.diff (реализовано в upstream-версии)
  + добавлен новый плагин qip xstatuses plugin (v0.0.3),
    http://code.google.com/p/psi-dev/wiki/plugins#Qip_X-statuses_Plugin
    и патч для работы данного плагина (psi-change-contacts-status-from-plugins.diff)
  + добавлен показ кнопки "enable-groups" в главном меню Psi+ и в контекстном меню в трее
    (psi-roster-groups-disable.diff)
  * ростерные патчи объединены в один общий патч (psi-modern-roster.diff)
  * исправлено падение приложения при использовании неподдерживаемой версии psimedia
    при попытке вызова через контекстное меню ростера
  + добавлен счётчик пропущенных сообщений от контакта со свёрнутой в ростер конференцией
    (psi-muc-minimize-to-roster.diff)
  * убрана лишняя информация из тултипа на контакте конференции в ростере
    (psi-muc-minimize-to-roster.diff)
  + добавлен детект jabber-бота osiris rss/atom feed bot (psi-client-icons.diff)
  + попытка детекта клиента jabbin
  * обновлён иконпак с иконками jabber-клиентов fingerprint.jisp до версии 0.2.3
  + в дистрибутив добавлена папка с примерами скинов
  ! обновлены библиотеки openssl до версии 0.9.8n
    (теперь мы сами компилируем openssl в mingw из исходников отсюда:
     http://www.openssl.org/source/openssl-0.9.8n.tar.gz)
  ! теперь используются скомпилированные в mingw библиотеки aspell отсюда:
    ftp://ftp.lyx.org/pub/lyx/contrib/lyx-windows-deps-mingw.zip
  ! из дистрибутива убран ненужный пакет библиотек vcredist_x86.exe
  --
 Known issues (after r1784):
  1. contacts search in roster does not work
  2. disabling items in menu does not work
  3. hidden group does not work
  4. outdated russian localization
  --
 Changelog:
  + added toolbar button to psi-roster-groups-disable.diff
  * some improvements to psi-css-style-sheet.diff, update blue_skin
  * fixed translation in psi-roster-groups-disable.diff
  * fixed system iconsets (oxygen_sys.jisp, summer-system.jisp)
  * fixed crash when join in captcha protected conferences (psi-muc-minimize-to-roster.diff)
  * small fixes for psi-activity-icons.diff and psi-roster-icons.diff
  - removed psi-roster-fix-online-contacts-coloring.diff (already in upstream)
  - removed psi-paint-roster-background.diff (already in upstream)
  + added qip xstatuses plugin (v0.0.3),
    http://code.google.com/p/psi-dev/wiki/plugins#Qip_X-statuses_Plugin
    and patch to make this plugin work (psi-change-contacts-status-from-plugins.diff)
  + added enable-groups button to view menu (psi-roster-groups-disable.diff)
  * merged roster patches into one patch (psi-modern-roster.diff)
  * fixed crash when using unsupported psimedia from context menu in roster
  + added counter messages in conference item (psi-muc-minimize-to-roster.diff)
  * some cleaning in tooltip conference item (psi-muc-minimize-to-roster.diff)
  * small fix brackets (psi-muc-minimize-to-roster.diff)
  + added osiris rss/atom feed bot detection (psi-client-icons.diff)
  + try to detect jabbin client
  * updated fingerprint.jisp to v0.2.3
  + added skins folder with skins to installer
  ! updated openssl libs to v0.9.8n
    (mingw compiler, source from http://www.openssl.org/source/openssl-0.9.8n.tar.gz)
  ! replaced aspell libs
    (now using libs from ftp://ftp.lyx.org/pub/lyx/contrib/lyx-windows-deps-mingw.zip)
  ! removed useless vcredist_x86.exe from installer


2010-03-29  zet
v0.15.2060 Beta
  --
 Известные проблемы (после r1784):
  1. не работает сортировка контактов в ростере
  2. не работает поиск контактов в ростере
  3. не работает отключение пунктов меню
  4. не работает группа hidden
  --
 Changelog:
  + добавлен новый патч psi-muc-add-affiliation-icons.diff
  + добавлен объединённый смайлпак mra-emoticons.jisp
  - убраны ненужные смайлпаки mra_set03.jisp и mrim.jisp
  * настраиваемые цвета для контактов с различными рангами и ролями в ростере конференции
    (psi-muc-add-affiliation-icons.diff)
  + добавлена опция включения/выключения показа иконок аффиляций в ростере конференции
    (psi-muc-add-affiliation-icons.diff)
  + добавлена кнопка максимизации окна обзора сервисов, поиска контактов и некоторых других
    окон и диалогов (psi-customize-dialogs-title-hint.diff)
  * issue 11: сохранение размера (ширины) ростера конференции (psi-muc-roster-size.diff)
  * переписан патч psi-muc-nicklist-at-left.diff
  * фикс запоминания размера ростера конференции для положения "ростер конференции слева"
    (psi-muc-roster-size.diff)
  * решена issue 191 (psi-muc-notify-highlight.diff, psi-passive-popups-delays.diff)
  * решена issue 167 (psi-deactivation-of-some-contact-menu-items.diff)
  * теперь тулбары включены по умолчанию (psi-default-application-settings.diff)
  * опция "воспроизводить звуковые события для всех сообщений в конференции" выключена по умолчанию
    (psi-default-application-settings.diff)
  + добавления опция на отключение кнопки "вставить и отправить" (psi-send-button-context-menu.diff)
  * обновлён birthday reminder plugin до версии 0.2.1 (подробнее в wiki)
  * уменьшен размер формы ввода данных о местоположении (psi-geolocation.diff)
  + добавлен новый патч psi-paint-roster-background.diff
  + добавлен новый смайлпак yahoo_gif.jisp
  - убран ненужный смайлпак yahoo_png.jisp
  + добавлен патч на вызов в меню трея команды View Groups
    (psi-add-view-groups-to-tray-menu.diff)
  + добавлена опция options.ui.contactlist.avatars.avatars-at-left для psi-roster-avatars.diff
  + добавлен новый патч psi-fix-alt+N-crash.diff
  + добавлена опция options.ui.contactlist.avatars.use-default-avatar для psi-roster-avatars.diff
  + добавлен новый патч для доступа к различным меню приложения из плагина
    (psi-access-to-menus-from-plugins.diff)
  + добавлен новый плагин storage notes plugin (v0.0.9), подробнее -
    http://code.google.com/p/psi-dev/wiki/plugins#Storage_Notes_Plugin
  * выравнивание неквадратных аватаров по центру (psi-roster-avatars.diff)
  + добавлен новый патч psi-hide-roster-status-icons.diff на обработку
    опции options.ui.contactlist.show-status-icons
  * добавлены +3 пикселя между аватаром и ником контакта в ростере
    (psi-hide-roster-status-icons.diff)
  + добавлена опция на показ статусной иконки контакта поверх аватара
    (psi-roster-avatars.diff, psi-hide-roster-status-icons.diff)
  * исправлено дублирование кнопок тулбаров в режиме "всё-в-одном-окне" (psi-all-in-one-window.diff)
  + добавлены новые иконки oxygen для ростера и системный иконпак (oxygen.jisp, oxygen_sys.jisp)
  + добавлен новый патч на показ статусного сообщения контакта ростера в одной строке с
    ником контакта (psi-roster-single-line-status-messages.diff)
  * 7 - минимальный размер шрифта для текста статусного сообщения
    (psi-roster-single-line-status-messages.diff)
  * теперь по умолчанию отключен toolwindow в главном окне Psi+
    (psi-default-application-settings.diff)
  * обновлён juick plugin (v0.9.12) - добавлена возможность указания прокси-сервера и
    авторизации на нём
  + добавлен новый патч psi-roster-fix-online-contacts-coloring.diff
  + добавлен новый плагин history keeper plugin (v0.0.2), подробнее -
    http://code.google.com/p/psi-dev/wiki/plugins#History_Keeper_Plugin
  * фикс для варианта отображения аватаров справа в ростере
    (psi-roster-single-line-status-messages.diff)
  * множественные обновления системных иконпаков
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, summer-system.jisp)
  * обновлён attention plugin до версии 0.0.7
  * обновлён cleaner plugin до версии 0.2.4
  + добавлен новый патч psi-iconsets.diff. теперь иконки Psi+ интегрированы в исходный код
  - убран ненужный иконсет psiplus.jisp
  - убран ненужный иконсет crystal_system.jisp
  * обновлён watcher plugin до версии 0.2.0
  + добавлен новый патч для настройки цветов тултипа (цвет шрифта, цвет фона)
    (psi-coloring-tooltip.diff)
  + добавлен новый плагин skins plugin (v0.0.8), подробнее -
    http://code.google.com/p/psi-dev/wiki/plugins#Skins_Plugin
  + добавлен новый патч psi-fix-grepshortcutkeydialog.diff
  + добавлен новый патч на совместимость с плагином skins plugin
    (psiplus-more-compatibility-with-skinsplugin.diff)
  * обновлён conference logger plugin до версии 0.1.1
  + добавлена англоязычная страничка wiki по компиляции Psi+ (спасибо Z_God за контроль ошибок)
  * обновлён autoreply plugin до версии 0.2.7
  + добавлен патч на обработку опции options.ui.contactlist.css (psi-mainwindow-css.diff)
  * обновлён extended options plugin до версии 0.2.2
  + добавлен объединённый патч для обработки css в приложении (psi-css-style-sheet.diff)
  * обновлён stop spam plugin до версии 0.2.1
  + добавлен новый патч psi-roster-groups-disable.diff на отключение показа групп в ростере.
    пока настраивается через опцию options.ui.contactlist.enable-groups, в дальнейшем будет
    сделана соответствующая кнопка на тулбаре
  * переписан патч на сворачивание конференций в ростер (psi-muc-minimize-to-roster.diff)
  ! обновлены системные библиотеки Qt до версии 4.6.2,
    http://qt.nokia.com/developer/changes/changes-4.6.2
  ! обновлены библиотеки Psimedia до версии 1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! обновлён GStreamer до версии 0.10.28 (спасибо Z_God)
  ! обновлены библиотеки Win32OpenSSL до версии 0.9.8m [0.9.8.13],
    http://www.slproweb.com/products/Win32OpenSSL.html
  --
 Known issues (after r1784):
  1. contacts sorting in roster does not work
  2. contacts search in roster does not work
  3. disabling items in menu does not work
  4. hidden group does not work
  --
 Changelog:
  + added psi-muc-add-affiliation-icons.diff
  + added combined mra-emoticons.jisp
  - removed useless mra_set03.jisp, mrim.jisp
  * customizable colors for psi-muc-add-affiliation-icons.diff
  + added option enable/disable affiliation icons for psi-muc-add-affiliation-icons.diff
  + maximize discovery and some another dialogs (psi-customize-dialogs-title-hint.diff)
  * issue 11: save/restore roster size in MUC (psi-muc-roster-size.diff)
  * rewritten psi-muc-nicklist-at-left.diff
  * psi-muc-roster-size.diff: fix size when roster at left in MUC
  * issue 191 (psi-muc-notify-highlight.diff, psi-passive-popups-delays.diff)
  * issue 167 (psi-deactivation-of-some-contact-menu-items.diff)
  * psi-default-application-settings.diff: default toolbars is enabled
  * psi-default-application-settings.diff: play sounds for all messages in groupchat is disabled
  + added options for disable 'paste and send' (psi-send-button-context-menu.diff)
  * updated birthday reminder plugin to v0.2.1
  * maximize searchdlg
  * reduced geolocation form size (psi-geolocation.diff)
  + added psi-paint-roster-background.diff
  + added emoticons/yahoo_gif.jisp
  - removed useless emoticons/yahoo_png.jisp
  * updated yahoo_gif.jisp: added hidden emoticons
  + added psi-add-view-groups-to-tray-menu.diff
  + psi-roster-avatars.diff: added options.ui.contactlist.avatars.avatars-at-left
  + added psi-fix-alt+N-crash.diff: fix crash on pressing Alt+number when number is out of range
  + psi-roster-avatars.diff: added options.ui.contactlist.avatars.use-default-avatar
  + added psi-access-to-menus-from-plugins.diff
  + added storage notes plugin, v0.0.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Storage_Notes_Plugin
  * psi-roster-avatars.diff: alignment of non-square avatars in the center
  + added psi-hide-roster-status-icons.diff (option options.ui.contactlist.show-status-icons)
  * psi-hide-roster-status-icons.diff: +3 pixels between the avatar and nickname
  + added option status-icon-over-avatar (psi-roster-avatars.diff, psi-hide-roster-status-icons.diff)
  * fixed duplicate toolbar buttons in all in one mode (psi-all-in-one-window.diff)
  * killed fat arrow specifically for maj (psi-toolbar-button-kill-arrow.diff)
  * less calls to the options (psi-roster-icons.diff, psi-roster-avatars.diff,
    psi-hide-roster-status-icons.diff)
  + added oxygen roster and system icons (oxygen.jisp, oxygen_sys.jisp)
  + added psi-roster-single-line-status-messages.diff patch
  * try to fix clipping of statusmessages for psi-roster-single-line-status-messages.diff
  * psi-roster-single-line-status-messages.diff: o.font.setPointSize(o.font.pointSize()-1);
  * 7 - minimal font size for status (psi-roster-single-line-status-messages.diff)
  * disable buggy toolwindow by default (psi-default-application-settings.diff)
  * updated juick plugin - added proxy settings and proxy authorizations settings (v0.9.12)
  + added fix-online-contacts-coloring patch (psi-roster-fix-online-contacts-coloring.diff)
  + added history keeper plugin, v0.0.2,
    http://code.google.com/p/psi-dev/wiki/plugins#History_Keeper_Plugin
  * try to fix patch when avatars at right (psi-roster-single-line-status-messages.diff)
  * many updates for system iconsets
    (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, summer-system.jisp)
  * changed roster toolbar buttons
  * added delta from default iconset
  * updated attention plugin to v0.0.7
  * updated cleaner plugin to v0.2.4
  + added new iconsets patch (psi-iconsets.diff)
  - removed useless psiplus.jisp
  - removed useless crystal_system.jisp
  * fixed psibuild script with regards to new icons
    (trunk/scripts/posix/libpsibuild.sh, trunk/scripts/posix/psibuild.sh)
  * fixed win32 scripts
  * updated watcher plugin to v0.2.0
  + added psi-coloring-tooltip.diff
  + added skins plugin, v0.0.8, http://code.google.com/p/psi-dev/wiki/plugins#Skins_Plugin
  * css for whole chat ui (psi-chat-css.diff)
  + added fix-grepshortcutkeydialog patch (psi-fix-grepshortcutkeydialog.diff)
  * changed default colors settings for psi-coloring-tooltip.diff
  + added patch for more compatibility with skinsplugin
    (psiplus-more-compatibility-with-skinsplugin.diff)
  * updated conference logger plugin to v0.1.1
  * fixed psi-iconsets.diff
  * fixed system iconsets (blacksys.jisp, nuvola-system.jisp, oxygen_sys.jisp, summer-system.jisp)
  + added mingw32_en.wiki for English-speaking users (thanks to Z_God for translation fixes)
  * updated autoreply plugin to v0.2.7
  + add options.ui.contactlist.css option patch (psi-mainwindow-css.diff)
  * updated extended options plugin to v0.2.2
  + added css the world (psi-css-style-sheet.diff)
  * updated stop spam plugin to v0.2.1
  + added add roster-groups-disable patch. option options.ui.contactlist.enable-groups,
    (psi-roster-groups-disable.diff)
  * rewritten patch psi-muc-minimize-to-roster.diff
  ! updated Qt libs to v4.6.2, http://qt.nokia.com/developer/changes/changes-4.6.2
  ! updated Psimedia libs to v1.0.3.737, http://delta.affinix.com/svn/trunk/psimedia/
  ! updated GStreamer to v0.10.28 (thanks to Z_God)
  ! updated Win32OpenSSL libs to v0.9.8m [0.9.8.13],
    http://www.slproweb.com/products/Win32OpenSSL.html


2010-01-31  zet
v0.15.1757 Beta
  * обновлён плагин extended options plugin до версии 0.0.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  + добавлен детект jabber-клиента sim (psi-client-icons.diff)
  + добавлена возможность загрузки/выгрузки плагинов без перезапуска Psi+ (psi-plugins-options.diff)
  * обновлён плагин stop spam plugin до версии 0.1.7,
    http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin
  * обновлён плагин birthday reminder plugin до версии 0.2.0,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * обновлён плагин attention plugin до версии 0.0.5,
    http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  + добавлен новый патч psi-add-standard-transports.diff на автоматическое определение иконок для
    контактов, подключаемых через транспорты
  * обновлён плагин cleaner plugin до версии 0.1.1,
    http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  * обновлён иконпак для activity (psiplus-activities.jisp)
  * возвращёно подтверждение на очистку лога конференции (опционально)
  + добавлен новый патч на показ иконки прослушиваемой музыкальной композиции во всплывающем окне
    на контакте ростера (psi-tune-icon-in-tooltip.diff)
  * режим "всё-в-одном": возвращён показ меню View (Вид) (psi-all-in-one-window.diff)
  * режим "всё-в-одном": исправлено запоминание размера ростера по ширине после рестарта Psi+
    (psi-all-in-one-window.diff)
  * обновлён плагин watcher plugin до версии 0.1.2,
    http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  * фикс по мотивам задачи http://code.google.com/p/psi-dev/issues/detail?id=247
  + добавлен новый патч psi-improve-historydlg.diff, добавляющий календарь в окно истории переписки
    (на основе патча от lexa_), также меняющий расположение фрейма с логом истории и добавляющий
    форму быстрого поиска по логу переписки (тестовый вариант)
  * обновлён системный иконпак summer-system.jisp до версии 0.5
  --
  * updated extended options plugin to v0.0.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  + added sim jabber client detection (psi-client-icons.diff)
  + try to load-unload plugins without restart Psi+ (psi-plugins-options.diff)
  * updated stop spam plugin to v0.1.7,
    http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin
  * improved psi-access-to-iconfactory-from-plugins.diff - added getIcon() to iconfactoryaccessor
  * updated birthday reminder plugin to v0.2.0,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * updated attention plugin to v0.0.5,
    http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  + added new patch psi-add-standard-transports.diff
  * updated cleaner plugin to v0.1.1,
    http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  * updated activity iconset (psiplus-activities.jisp)
  * returned enable/disable to clear log confirmation for muc
  + added new patch - adds tune icon in tooltip (psi-tune-icon-in-tooltip.diff)
  * all-in-one: return View menu item back (psi-all-in-one-window.diff)
  * all-in-one: fix saving/restoring splitter position (psi-all-in-one-window.diff)
  * updated watcher plugin to v0.1.2,
    http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  * fixed http://code.google.com/p/psi-dev/issues/detail?id=247
  + added new patch psi-improve-historydlg.diff (unfinished), based on patch by lexa_
  * updated summer-system.jisp to v0.5


2010-01-24  zet
v0.15.1685 Beta
  + добавлен новый плагин attention plugin (v0.0.3),
    http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  * обновлены системные иконпаки: добавлены иконки для attention plugin
    (blacksys.jisp, summer-system.jisp, nuvola-system.jisp)
  * фикс для accountinfoaccessor (psi-get-account-info-from-plugins.diff) и плагинов
    (attention plugin, image plugin)
  * возвращён показ капсов у контактов конференции (psi-temp-show-caps.diff)
  + добавлен новый плагин extended options plugin (v0.0.8),
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  * исправлен системный иконпак (nuvola-system.jisp)
  + добавлен новый патч для отображения иконок активности (psi-activity-icons.diff)
  * исправлен иконпак с иконками активности (gajim-activities.jisp)
  * фикс Issue 225 (psi-muc-notify-highlight.diff)
  * исправлено определение jabber-бота JuBo (psi-client-icons.diff), спасибо maj
  * фикс для psi-movable-tabs-qt45-and-custom-style.diff
  * обновлён birthday reminder plugin до версии 0.1.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * обновлён cleaner plugin до версии 0.1.0,
    http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  + добавлены специфичные иконки в иконпак активности (gajim-activities.jisp)
  * фикс для диалога выбора определённого пункта активности (psi-activity-icons.diff)
  * исправлены иконки для прочих активностей (psi-activity-icons.diff)
  - убран патч psi-chatdlg-copypaste-keypress.diff, т.к. он принят в основную ветвь Psi
  * исправлен патч psi-configure-hyperlink-color.diff
  + добавлен новый патч на показ иконок в меню на заголовке аккаунта
    (psi-more-icons-in-account-menu.diff)
  + добавлен новый патч на установку оптимального состояния настроек приложения по умолчанию
    (psi-default-settings.diff)
  - убран патч psi-optional-confirmation-when-clearing.diff, т.к. он принят в основную ветвь Psi
  + добавлен новый иконопак активности по умолчанию от tux-den (psiplus-activities.jisp)
  + добавлены иконки для пустых активностей и настроений (summer-system.jisp), by tux-den
  * патчи psi-default-account-settings.diff и psi-default-settings.diff объединены в общий патч
    psi-default-application-settings.diff (умолчальные настройки приложения и аккаунта)
  + добавлен показ иконок jabber-клиентов во всплывающем окне на контакте ростера
    (psi-client-icons.diff)
  + добавлен новый патч для поддержки XEP-0080: User Location в Psi+,
    http://xmpp.org/extensions/xep-0080.html (psi-geolocation.diff)
  + в комплект поставки добавлена вторая лицензия для обеспечения наиболее полной совместимости
    с оригинальным Psi IM (copying-psi.txt)
  + добавлено определение jabber-бота JuBo, клиентов Jabbroid и Meebo (psi-client-icons.diff)
  * исправлен детект клиента android (psi-client-icons.diff)
  * обновлён иконпак с иконками jabber-клиентов (fingerprint.jisp, v0.2.1)
  * обновлён состав команды Psi+ Dev Team (psiplus-aboutdlg.diff)
  * обновлены системные иконпаки: добавлены иконки геолокаций, настроений и активностей
    (blacksys.jisp, crystal_system.jisp, nuvola-system.jisp, summer-system.jisp)
  ! обновлены библиотеки Qt до версии 4.6.1
  --
  + added attention plugin (v0.0.3), http://code.google.com/p/psi-dev/wiki/plugins#Attention_Plugin
  * updated system iconsets: added icons for attention plugin
    (blacksys.jisp, summer-system.jisp, nuvola-system.jisp)
  * fixed accountinfoaccessor (psi-get-account-info-from-plugins.diff) and plugins
    (attention plugin, image plugin)
  * restored show caps version of groupchat contacts (psi-temp-show-caps.diff)
  + added extended options plugin (v0.0.8),
    http://code.google.com/p/psi-dev/wiki/plugins#Extended_Options_Plugin
  * fixed system iconset (nuvola-system.jisp)
  + added new patch psi-activity-icons.diff
  * fixed activities iconset (gajim-activities.jisp)
  * fixed Issue 225 (psi-muc-notify-highlight.diff)
  * fixed jubo detection (psi-client-icons.diff), thx to maj
  * fixed psi-movable-tabs-qt45-and-custom-style.diff
  * updated birthday reminder plugin to v0.1.9,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * updated cleaner plugin to v0.1.0, http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  + added specific activities icons (gajim-activities.jisp)
  * fixed activitydlg (psi-activity-icons.diff)
  * fixed icons for other activity (psi-activity-icons.diff)
  - removed psi-chatdlg-copypaste-keypress.diff -- patch already in upstream
  * fixed psi-configure-hyperlink-color.diff
  + added new patch psi-more-icons-in-account-menu.diff
  * changed some settings (psi-receipts.diff, psi-roster-settings.diff, psi-client-icons.diff
  + added new patch psi-default-settings.diff
  - removed psi-optional-confirmation-when-clearing.diff -- patch already in upstream
  + added new default activities icons from tux-den (psiplus-activities.jisp)
  + added icons for empty activity and mood (summer-system.jisp), by tux-den
  * merged psi-default-account-settings.diff with psi-default-settings.diff to
    psi-default-application-settings.diff
  + added client icons to tooltip (psi-client-icons.diff)
  + added new patch psi-geolocation.diff
  + added second license to be fully compatible with psi (copying-psi.txt)
  + added JuBo jabber bot detection, Jabbroid client detection, Meebo client detection
    (psi-client-icons.diff)
  * fixed android client detection (psi-client-icons.diff)
  * updated jabber clients iconset (fingerprint.jisp, v0.2.1)
  * updated psiplus-aboutdlg.diff
  * updated system iconsets: add geolocation, moods & activity icons
    (blacksys.jisp, crystal_system.jisp, nuvola-system.jisp, summer-system.jisp)
  ! updated Qt libs to v4.6.1


2010-01-10  zet
v0.15.1605 Beta
  + добавлен новый плагин watcherplugin (v0.0.2), подробнее --
    http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  * подправлен gmailnotifyplugin, добавлен changelog.txt к плагину (v0.4.2), подробнее --
    http://code.google.com/p/psi-dev/wiki/plugins#Gmailnotify_Plugin
  * обновлён birthdayreminderplugin до версии 0.1.8, подробнее --
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * фикс попытки доступа к отсутствующим опциям (psi-typeahead-find.diff)
  * фикс для кнопки "Применить" в настройках плагинов (psi-plugins-options.diff)
  * редизайн настроек плагинов (psi-redesign-plugin-options.diff)
  + добавлен детект клиента Jabiru (psi-client-icons.diff)
  * исправлен детект мобильного клиента QIP PDA (psi-client-icons.diff)
  * обновлён cleanerplugin до версии 0.0.7, подробнее --
    http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  * теперь не показывается пункт меню vCard при клике ПКМ на адресе e-mail в логе конференции
    (psi-muc-nickclick-chat.diff)
  + добавлен детект клиента android [android.com] (psi-client-icons.diff)
  + добавлен детект клиента Vacuum (psi-client-icons.diff)
  + попытка детекта клиента Trillian (psi-client-icons.diff)
  * обновлён иконпак с иконками jabber-клиентов до версии 0.1.9
  --
  + added watcherplugin (v0.0.2), http://code.google.com/p/psi-dev/wiki/plugins#Watcher_Plugin
  * fixed gmailnotifyplugin, added changelog.txt (v0.4.2),
    http://code.google.com/p/psi-dev/wiki/plugins#Gmailnotify_Plugin
  * updated birthdayreminderplugin to v0.1.8,
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * fixed accessing missing option (psi-typeahead-find.diff)
  * fixed apply button in plugins (psi-plugins-options.diff)
  * redesign plugins options (psi-redesign-plugin-options.diff)
  * small improvements for plugins options (psi-plugins-options.diff,
    psi-redesign-plugin-options.diff)
  + added Jabiru client detection (psi-client-icons.diff)
  * fixed QIP PDA detection (psi-client-icons.diff)
  * updated cleanerplugin to v0.0.7, http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  * do not show vcard menu item on mailto links (psi-muc-nickclick-chat.diff)
  + added android (android.com) client detection (psi-client-icons.diff)
  + added Vacuum client detection (psi-client-icons.diff)
  + try to Trillian client detection (psi-client-icons.diff)
  * updated iconset with jabber client icons (fingerprint.jisp) to v0.1.9


2010-01-04  zet
v0.15.1575 Beta
  * поправлен патч psi-movable-tabs-qt45-and-custom-style.diff
  * поправлены скрипты (trunk/scripts/posix/deploy, trunk/scripts/posix/libpsibuild.sh)
  * улучшен activetabaccessor (psi-getyourjid-for-activetab-from-plugins.diff)
  * фиксы для патчей psi-access-to-activetab-from-plugins.diff,
    psi-access-to-applicationinfo-from-plugins.diff и psi-get-account-info-from-plugins.diff
  * порция исправлений для патчей psi-user-activity.diff, psi-contact-manager.diff и
    psi-account-menu-privacy-item.diff
  + добавлены ростерный иконпак Lamps.jisp от Disabler (trunk/iconsets/roster/Lamps.jisp)
  + добавлена возможность выводить плагинную кнопку-действие на панель инструментов
    (psi-add-toolbar-button-from-plugins.diff)
  + добавлен смайлпак Android.jisp из состава Android SDK (trunk/iconsets/emoticons/Android.jisp)
  * обновлён системный иконпак blacksys.jisp (trunk/iconsets/system/blacksys.jisp)
  + добавлен скрипт для сборки debug-версии Psi+ под win32
    (trunk/scripts/win32/make-debug-paused.cmd)
  * обновлены системные иконпаки crystal_system.jisp, nuvola-system.jisp и summer-system.jisp
  + добавлен патч для вывода всплывающей подсказки при наведении указателя мыши на иконку Psi+ в трее
    (psi-improve-tray-tooltip.diff)
  + добавлен новый плагин Image Plugin (текущая версия - 0.0.4), подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Image_Plugin
  * обновлён Conference Logger Plugin до версии 0.1.0, подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Conference_Logger_Plugin
  + добавлена возможность выводить всплывающие окна при работе плагинов
    (psi-add-access-to-popups-from-plugins.diff)
  * теперь плагины в опциях отсортированы в алфавитном порядке (psi-plugins-options.diff)
  + добавлен новый плагин ICQ Must Die Plugin (текущая версия - 0.0.3), подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#ICQ_Must_Die_Plugin
  * обновлён Screenshot Plugin до версии 0.2.2, подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Screenshot_Plugin
  + добавлен новый плагин Cleaner Plugin (текущая версия - 0.0.6), подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin
  + добавлен патч на расширение функционала формы приёма/передачи файлов (двойной щелчок на
    принятом/переданном файле вызывает связанное с ним приложение, а также изображение иконок для
    принятых/переданных файлов) - (psi-improve-filetransfer-dialog.diff)
  * модифицирован интерфейс настроек плагинов (psi-plugins-options.diff)
  * обновлён Gmailnotify Plugin до версии 0.4.0, подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Gmailnotify_Plugin
  * обновлён Birthday Reminder Plugin до версии 0.1.7, подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin
  * обновлён Stop Spam Plugin до версии 0.1.6, подробнее -- 
    http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin
  ! обновлены системные библиотеки Qt, версия проименована как 4.6.0M (пропатченная версия Qt 4.6.0
    патчем http://qt.gitorious.org/qt/qt/commit/ddf34f3)
  --
  * fixed psi-movable-tabs-qt45-and-custom-style.diff
  * fixed scripts (trunk/scripts/posix/deploy, trunk/scripts/posix/libpsibuild.sh)
  * improve activetabaccessor (psi-getyourjid-for-activetab-from-plugins.diff)
  * fixed psi-access-to-activetab-from-plugins.diff,
    psi-access-to-applicationinfo-from-plugins.diff, psi-get-account-info-from-plugins.diff
  * fixed spatch function (deploy, deploy.win, libpsibuild.sh)
  * fixed patches (psi-user-activity.diff, psi-contact-manager.diff,
    psi-account-menu-privacy-item.diff)
  + added Lamps.jisp roster icons by Disabler (trunk/iconsets/roster/Lamps.jisp)
  + added ability to add toolbar button from plugins (psi-add-toolbar-button-from-plugins.diff)
  + added Android.jisp smilepack from Android SDK (trunk/iconsets/emoticons/Android.jisp)
  * updated blacksys.jisp (trunk/iconsets/system/blacksys.jisp)
  + added make-debug-paused.cmd script (trunk/scripts/win32/make-debug-paused.cmd)
  * updated system iconsets (crystal_system.jisp, nuvola-system.jisp, summer-system.jisp)
  + added traytooltip patch (psi-improve-tray-tooltip.diff)
  + added imageplugin (current version is 0.0.4)
    (http://code.google.com/p/psi-dev/wiki/plugins#Image_Plugin)
  * updated conferenceloggerplugin to v0.1.0
    (http://code.google.com/p/psi-dev/wiki/plugins#Conference_Logger_Plugin)
  * fixed psi-add-toolbar-button-from-plugins.diff
  + added ability to show popups from plugins (psi-add-access-to-popups-from-plugins.diff)
  * some fixes for plugins (autoreplyplugin, stopspamplugin)
  * plugins in alphabetical order (psi-plugins-options.diff)
  + added icqdieplugin (current version is 0.0.3)
    (http://code.google.com/p/psi-dev/wiki/plugins#ICQ_Must_Die_Plugin)
  * updated screenshotplugin to v0.2.2
    (http://code.google.com/p/psi-dev/wiki/plugins#Screenshot_Plugin)
  + added cleanerplugin (current version is 0.0.6)
    (http://code.google.com/p/psi-dev/wiki/plugins#Cleaner_Plugin)
  + added improve filetransfer dialog patch (psi-improve-filetransfer-dialog.diff)
  * psibuild: fix install patch
  * modify options interface (psi-plugins-options.diff)
  * updated gmailnotifyplugin to v0.4.0
    (http://code.google.com/p/psi-dev/wiki/plugins#Gmailnotify_Plugin)
  * updated birthdayreminderplugin to v0.1.7
    (http://code.google.com/p/psi-dev/wiki/plugins#Birthday_Reminder_Plugin)
  * updated stopspamplugin to v0.1.6
    (http://code.google.com/p/psi-dev/wiki/plugins#Stop_Spam_Plugin)
  ! updated Qt libs to v4.6.0M (included patch from http://qt.gitorious.org/qt/qt/commit/ddf34f3)


2009-12-06  zet
v0.14.1444 Release
  * обновлён список участников проекта (psiplus-aboutdlg.diff)
  * обновлён conferenceloggerplugin до версии 0.0.7, подробнее -- 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
  * фиксы и улучшения для плагинной системы
  * обновлён birthdayreminderplugin до версии 0.1.1, подробнее -- 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/birthdayreminderplugin/changelog.txt
  * обновлён stopspamplugin до версии 0.1.0, подробнее -- 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt
  * обновлена страница о плагинах в Wiki (plugins.wiki)
  * исправления в activetab accessor для режима "всё-в-одном"
  * обновлён juickplugin до версии 0.9.9, подробнее -- 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/juickplugin/changelog.txt
  ! обновлены системные библиотеки Qt до версии 4.6.0
  ! MS Installer: в комплект поставки теперь входят библиотеки PsiMedia версии 1.0.3, подробнее -- 
    http://delta.affinix.com/psimedia/
  ! обновлена русская локализация (psi-ru svn, r155, 2009-12-06)
  ! Psi+ 0.14 -- релизная версия! :)
  --
  + fix plugins qcm name (added psi-plugins-qcm-fix.diff)
  * autodownload libpsibuild (trunk/scripts/posix/psibuild.sh)
  * no seds for plugins anymore (psi-plugins-qcm-fix.diff)
  * updated win32 scripts (no seds for plugins anymore)
  - remove sed plugins from nix scripts
  * updated psiplus-aboutdlg.diff
  * fixed QCONF path in debian/rules (psi-debianize.diff)
  * PKGBUILD: some improvements (trunk/scripts/posix/PKGBUILD)
  * libpsibuild: fix git submodule update (trunk/scripts/posix/libpsibuild.sh)
  * updated conferenceloggerplugin to v0.0.7
  * improved psi-get-account-info-from-plugins.diff
  * updated birthdayreminderplugin to v0.1.1
  * updated stopspamplugin to v0.1.0
  * updated plugins.wiki
  * small fix in libpsibuild for git archive (trunk/scripts/posix/libpsibuild.sh)
  * fixed activetab accessor in all-in-onee-window mode
  * updated juickplugin to v0.9.9
  ! updated qt libs to v4.6.0
  ! MS Installer: added PsiMedia 1.0.3 libs, http://delta.affinix.com/psimedia/
  ! updated russian localization (psi-ru svn, r155, 2009-12-06)
  ! Psi+ 0.14 released! :)


2009-11-22  zet
v0.14.1382 Beta
  + добавлен патч на исправление сломанных оф.разработчиками капсов (psi-temp-show-caps.diff)
  * обновлён список участников проекта (psiplus-aboutdlg.diff)
  * возвращены капсы Psi+ (psiplus-application-info.diff)
  * фикс для вызова контекстного меню по клику на нике в логе конференции
    (psi-muc-nickclick-chat.diff)
  + добавлено определение клиента pidgin (psi-client-icons.diff)
  + добавлено определение клиента telepathy (psi-client-icons.diff)
  + добавлен новый тулбар для поиска в логе чата/конференции (by machekku, mpk)
    (psi-typeahead-find.diff)
  * обновлён autoreplyplugin до версии 0.2.3, подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/autoreplyplugin/changelog.txt
  * обновлён birthdayreminderplugin до версии 0.0.8, подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/birthdayreminderplugin/changelog.txt
  * обновлён stopspamplugin до версии 0.0.8, подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt
  * обновлены инструкции по сборке Psi+ под различные ОС, подробнее - 
    http://code.google.com/p/psi-dev/wiki/main?tm=6
  ! обновлены Win32 OpenSSL Libs до версии 0.9.8l (L) [0.9.8.12]
  ! MS Installer: в комплект поставки включен совмещённый русский+английский словарь (два в одном)
  --
  + added psi-temp-show-caps.diff
  * PKGBUILD: remove debug files from package (trunk/scripts/posix/PKGBUILD)
  * fix escaping order (psi-muc-nickclick-chat.diff)
  * updated psiplus-aboutdlg.diff
  * restored psiplus-application-info.diff (psi+ caps)
  * try to fix context menu on nicknames in chatlog (psi-muc-nickclick-chat.diff)
  + make libpsibuild (trunk/scripts/posix/libpsibuild.sh
  * improved scripts (trunk/scripts/posix/libpsibuild.sh, trunk/scripts/posix/psibuild.sh)
  + added pidgin detection (psi-client-icons.diff)
  + added telepathy detection (psi-client-icons.diff)
  + added typeahead find toolbar by machekku, mpk (psi-typeahead-find.diff)
  * renamed activeElement to textWidget (psi-typeahead-find.diff)
  * fixed sed (trunk/scripts/posix/libpsibuild.sh)
  * updated autoreplyplugin to v0.2.3
  * updated stopspamplugin to v0.0.8
  * removed debug binary from package (psi-debianize.diff)
  * updated birthdayreminderplugin to v0.0.8
  * updated build instructions for some OS, see at Psi+ Wiki - 
    http://code.google.com/p/psi-dev/wiki/main?tm=6
  ! updated Win32 OpenSSL Libs to v0.9.8l (L) [0.9.8.12]
  ! MS Installer: added aspell data and russian+english (2 in 1) dictionary


2009-11-08  zet
v0.14.1318 Beta
  * psi-all-in-one-window.diff: добавлена опция "ростер слева для режима всё-в-одном"
    (options.ui.contactlist.roster-at-left-when-all-in-one-window)
  * исправлено поведение при клике по нелатинским никам в логе конференции
    (psi-muc-nickclick-chat.diff)
  + добавлен патч psi-get-account-info-from-plugins.diff
  * psi-all-in-one-window.diff: хак для показа панели "Контакты" вверху ростера
  * psi-typed-history.diff: не очищать последний набранный текст при пролистывании истории из ранее
    введённых сообщений
  + добавлен патч psi-muc-nicklist-at-left.diff на опциональное переключение отображения ростера
    конференции с левой стороны
  - убран ненужный смайлпак QIP_emoticons.jisp
  + добавлен ростерный иконпак roster/blackroster.jisp
  + добавлен системный иконпак system/blacksys.jisp
  * обновлён autoreplyplugin до версии 0.2.1, подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/autoreplyplugin/changelog.txt
  * инструменты qconf и configure работают теперь и при сборке Psi+ в MS Windows
  * обновлён juickplugin до версии 0.9.8, подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/juickplugin/changelog.txt
  + добавлен conferenceloggerplugin (текущая версия 0.0.2), подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
  - убран ненужный более сериал (trunk/patches/series.txt)
  + добавлен birthdayreminderplugin (текущая версия 0.0.2), подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/birthdayreminderplugin/changelog.txt
  + добавлен stopspamplugin (текущая версия 0.0.7), подробнее - 
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt
  * поправлен патч psi-entity-time.diff
  * обновлён патч psi-dirty-check.diff (QDChecker::downloadPageUrl)
  ! в инсталлер добавлена новая библиотека aspell.dll (v0.60)
  --
  * psi-all-in-one-window.diff: add 'options.ui.contactlist.roster-at-left-when-all-in-one-window'
    option
  * fix click on non-latin nicknames (psi-muc-nickclick-chat.diff)
  + added psiplus-os-hide.diff for app and os versions hide (by Xorg)
  + added psi-get-account-info-from-plugins.diff
  * psi-all-in-one-window.diff: quick and dirty hack to show 'Contacts' toolbar at top
  * PKGBUILD: small improvements (trunk/scripts/posix/PKGBUILD)
  * psi-typed-history.diff: don't clear last typed text during travelling message history
  + added psi-img-src-file-and-data-protos.diff
  + psi-muc-nicklist-at-left.diff: option to have nicklist at left in muc
  - removed useless QIP_emoticons.jisp
  * added debug option into deploy script (trunk/scripts/posix/deploy)
  + added roster/blackroster.jisp
  + added system/blacksys.jisp
  * juickplugin: fixed # in juick@conference.jabber.ru
  * updated autoreplyplugin to v0.2.1, see at
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/autoreplyplugin/changelog.txt
  + added deploy for windows (trunk/scripts/posix/deploy.win)
  * qconf and configure works now and on windows too
  * disable conf_windows.pri if conf.pri exists
  * update juickplugin to v0.9.8, see at
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/juickplugin/changelog.txt
  * win qconf working ssl
  * updated win32 scripts (qconf) (trunk/scripts/win32/make.cmd, make-paused.cmd)
  + added conferenceloggerplugin, v0.0.2 see at
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/conferenceloggerplugin/changelog.txt
  * updated win32 scripts: make.cmd make-paused.cmd, make-webkit-paused.cmd (--enable-plugins)
  * a bit improved psibuild.sh (trunk/scripts/posix/psibuild.sh)
  - deleted trunk/patches/series.txt
  + addeed birthdayreminderplugin, v0.0.2 see at
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/birthdayreminderplugin/changelog.txt
  + added stopspamplugin, v0.0.7, see at
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/stopspamplugin/changelog.txt
  * updated win32 scripts (--with-aspell-inc=c:\MinGW\include --with-aspell-lib=c:\MinGW\lib)
  * updated blacksys.jisp
  * psibuild-deb.sh: now builds all plugins from psiplus svn (trunk/scripts/posix/psibuild-deb.sh)
  * fixed psi-entity-time.diff
  * updated psi-dirty-check.diff (QDChecker::downloadPageUrl)
  * fixed deploy (trunk/scripts/posix/deploy)
  ! added new library aspell.dll (v0.60) into installer


2009-10-18  zet
v0.14.1178 Beta
  * psi-send-button-context-menu.diff: исправлены ошибки компиляции для MSVS2005
  + добавлен новый скрипт для bsd-систем. спасибо Shura0 (trunk/scripts/posix/psibuild.bsd)
  * фикс отправки шаблонов в конференциях (psi-send-button-context-menu.diff,
    psi-muc-bookmark-toolbar-button.diff)
  * фикс отправки шаблонов в чатах (psi-send-button-context-menu.diff)
  * исправлено определние mrim-контактов (psi-client-icons.diff)
  + добавлен патч на подмену версии клиента/платформы/капсов
    (psi-application-info-and-sysinfo-from-opts.diff), от oxpa
  * исправление нулевого указателя внутри конструктора PsiToolBar (psi-all-in-one-window.diff)
  - убран устаревший иконсет mailru.jisp (trunk/iconsets/roster/mailru.jisp)
  * обновлён патч psi-application-info-and-sysinfo-from-opts.diff (не требуется перезагрузка Psi+,
    версия ОС после очистки соответствующих полей возвращается к исходному значению), от oxpa
  * исправлено предупреждение при компиляции для psi-nix-audacious.diff
  * обновлён патч about-psi-plus.diff (добавлены/убраны некоторые участники проекта)
  + добавлен патч psi-plugins-fix-string-warnings.diff
  + добавлен общий FAQ (для пользователей различных ОС), http://code.google.com/p/psi-dev/wiki/FAQ
  * обновлены скрипты psibuild-deb.sh, psibuild-tar.sh, psibuild.bsd, psibuild.sh
  + добавлен смайлпак lgs_15x15.jisp от lgs (trunk/iconsets/emoticons/lgs_15x15.jisp)
  * убрана очистка истории введённых сообщений при очистке окна чата (psi-typed-history.diff)
  + добавлена "родная" поддержка перемещения табов в Qt 4.5 (скольжение по таббару)
    (psi-movable-tabs-qt45-and-custom-style.diff)
  + добавлен отдельный патч на добавление кнопок управления окном для различных форм
    (psi-customize-dialogs-title-hint.diff)
  * установка правильного набора флагов окна для некоторых диалогов
    (psi-customize-dialogs-title-hint.diff)
  + добавлена кнопка "закрыть" для табов (psi-movable-tabs-qt45-and-custom-style.diff)
  + добавлен патч на вызов Privacy Lists из контекстного меню в заголовке аккаунта
    (psi-account-menu-privacy-item.diff)
  * добавлены кнопки управления окном для формы Privacy (psi-customize-dialogs-title-hint.diff)
  * закрытие табов по нажатию средней кнопки мыши (psi-movable-tabs-qt45-and-custom-style.diff)
  + добавлен патч на исправление загрузки локализации при смене профиля psi-fix-lang-detect.diff от
    mblsha 
  * фикс локализации для screenshotplugin, обновлена версия плагина до 1.3
  + добавлена опция в настройках (вкладка Groupchat) для "hash coloring"
    (psi-muc-nick-hash-color.diff)
  - патч psi-fix-lang-detect.diff в upstream
  * добавлена команда сворачивания в ростер headlines-сообщений по нажатию кнопки Esc
    (psi-muc-minimize-to-roster.diff)
  * фикс http://code.google.com/p/psi-dev/issues/detail?id=152
    (psi-movable-tabs-qt45-and-custom-style.diff)
  * обновлён смайлпак mra_set03.jisp до версии 0.4 (trunk/iconsets/emoticons/mra_set03.jisp)
  * фиксы компиляции на Qt < 4.5.0 для psi-customize-dialogs-title-hint.diff
  * обновлён 050-psi-muc-topic.diff (готов для передачи в upstream)
  + добавлен плагин-автоответчик (autoreplyplugin), текущая версия 0.0.8, от Dealer_WeARE:
    + добавлена поддержка списка исключений. если в список добавить jid конференции, то все
      приватные сообщения от пользователей конференции также окажутся в списке исключений
    + добавлена возможность задавать количество посылок автоответов
    ПРИМЕЧАНИЕ: в текущей реализации не поддерживается работа с сервером GMail. это происходит из-за
      того, что статус аккаунта плагин определяет по приходящим ему от сервера презенсам. А GMail(и,
      возможно, другие сервера, построенные не на ejabberd2) не шлют этого презенса
    + добавлена возможность отключения автоответчика для активной закладки
    * снижена вероятность ложных срабатываний
    + в настройки плагина по умолчанию добавлены juick и конференция psi-dev@conference.jabber.ru
      (Примечание: не забудьте добавить в исключения других ботов!)
    * исправлены некоторые проблемы с опциями
    http://code.google.com/p/psi-dev/wiki/plugins#Autoreply_Plugin
  * патчи, специфичные для Psi+, переименованы с соответствующим префиксом "psiplus"
  * фикс компиляции на Qt 4.4.3 для psi-movable-tabs-qt45-and-custom-style.diff
  * обновлён PKGBUILD
  * исправлена компиляция в ОС Solaris для psi-receipts.diff
  * фиксы работы табов и кнопки "закрыть" (psi-movable-tabs-qt45-and-custom-style.diff)
  * смена расположения кнопок управления в форме поиска в конференции
    (psi-customize-dialogs-title-hint.diff, psi-muc-finddlg-swap-buttons.diff)
  + добавлен новый патч для парсинга графики в чатах (psi-img-src-data.diff)
  * обновлён juickplugin до версии 0.9.2, подробности в
    http://psi-dev.googlecode.com/svn/trunk/plugins/generic/juickplugin/changelog.txt
  * фикс кодирования данных для psi-img-src-data.diff
  * исправления для перемещаемых табов (psi-movable-tabs-qt45-and-custom-style.diff)
  ! обновлена русская локализация (2009-10-10)
  ! обновлена версия Qt до 4.5.3
  --
  * fixed typos in psibuild-deb.sh (trunk/scripts/posix/psibuild-deb.sh)
  * psi-send-button-context-menu.diff: fixed build errors on win32 platform with MSVS2005
  + added new bsd script. thanks to Shura0 (trunk/scripts/posix/psibuild.bsd)
  * psi-send-button-context-menu.diff, psi-muc-bookmark-toolbar-button.diff: fix sending templates
  * fix sending chat templates (psi-send-button-context-menu.diff)
  * PKGBUILD: improving and cleaning up build code (trunk/scripts/posix/PKGBUILD)
  * fixed mrim detection (psi-client-icons.diff)
  * PKGBUILD: fix patching of version
  * PKGBUILD: fix program version detection
  + added ready for use psi-application-info-and-sysinfo-from-opts.diff (by oxpa)
  * psi-all-in-one-window.diff: fix NULL pointer assertion inside PsiToolBar constructor
  - removed ugly roster iconset mailru.jisp (trunk/iconsets/roster/mailru.jisp)
  * updated psi-application-info-and-sysinfo-from-opts.diff (no need to restart the client, OS
    version after clearing the options back to the original) -- by oxpa
  * basizm in scripts - not work whis /bin/sh (psibuild-deb.sh, psibuild-tar.sh)
  * fixed warning for psi-nix-audacious.diff
  * updated about-psi-plus.diff (added/removed project members)
  + added fix string warning patch (psi-plugins-fix-string-warnings.diff)
  * PKGBUILD: add flag for using crash dialog
  * some fixes for src/libpsi/tools (trunk/scripts/posix/psibuild-deb.sh)
  + added FAQ.wiki (not for only windows users), http://code.google.com/p/psi-dev/wiki/FAQ
  * fixed typos in some scripts (psibuild-deb.sh, psibuild-tar.sh, psibuild.bsd, psibuild.sh)
  + added emoticons/lgs_15x15.jisp by lgs (trunk/iconsets/emoticons/lgs_15x15.jisp)
  * fixed deploy script to make more consistent diffs (trunk/scripts/posix/deploy)
  * avoid clearing message history after clearing chat window (psi-typed-history.diff)
  + supports for native tabs moving in qt 4.5 (sliding along tabbar;)
    (psi-movable-tabs-qt45-and-custom-style.diff)
  + customized vcard dialog title hints (psi-customize-dialogs-title-hint.diff)
  * set correct window flags for some dialogs (psi-customize-dialogs-title-hint.diff)
  * more translatable for psi-contact-manager.diff
  + added "close" button for tabs (psi-movable-tabs-qt45-and-custom-style.diff)
  + adding psi-account-menu-privacy-item.diff
  * psi-customize-dialogs-title-hint.diff: set title hint for privacy dialog
  * closing tabs on middle button release (psi-movable-tabs-qt45-and-custom-style.diff)
  * once again small fix on middle button release (psi-movable-tabs-qt45-and-custom-style.diff)
  + added psi-fix-lang-detect.diff by mblsha 
  * more translatable for screenshotplugin, updated version to 1.3
  + added checkbox for hash coloring (psi-muc-nick-hash-color.diff)
  * psi-customize-dialogs-title-hint.diff: set window flags for some dialogs
  - psi-fix-lang-detect.diff in upstream
  * hide for eventdlg in headlines (psi-muc-minimize-to-roster.diff)
  * psi-customize-dialogs-title-hint.diff: set window flags for options dialog
  * psi-account-menu-privacy-item.diff: renamed to Privacy Lists
  * fixed is#152 (psi-movable-tabs-qt45-and-custom-style.diff)
  * updated emoticons mra_set03.jisp to v0.4 (trunk/iconsets/emoticons/mra_set03.jisp)
  * psi-customize-dialogs-title-hint.diff: add preprocessor wrappers for qt < 4.5.0
  * updated 050-psi-muc-topic.diff
  + autoreplyplugin: added exclusion by jid's, v0.0.3, still unstable (by Dealer_WeARE),
    http://code.google.com/p/psi-dev/wiki/plugins#Autoreply_Plugin
  * renamed 'psiplus' marked patches
  * psi-movable-tabs-qt45-and-custom-style.diff: fixed qt443 compilation
  + autoreplyplugin: added ability to set number of auto messages sent (GMail is not supported...
    yet...), started changelog.txt, v0.0.6 (by Dealer_WeARE)
  * updated faq.wiki: Ответ 9.2: Rhythmbox: http://sites.google.com/site/thesomeprojects/main-1/home 
  * PKGBUILD: handle webkit configuration properly
  * fixed psi-receipts.diff on solaris
  * PKGBUILD: fixes and optimization
  * some fixes for tabs and close buttons (psi-movable-tabs-qt45-and-custom-style.diff)
  * updated autoreplyplugin, v0.0.7 (by Dealer_WeARE):
      added exclusion for juick@juick.com and psi-dev@c.j.ru
      disabled autoreply for active tab
      reduced the probability of false auto messages
  * autoreplyplugin: fixed conflicts with juickplugin, v0.0.8 (by Dealer_WeARE)
  * customize muc find dialog (psi-customize-dialogs-title-hint.diff,
    psi-muc-finddlg-swap-buttons.diff)
  + added new patch for parsing embed data in img src (psi-img-src-data.diff)
  * updated juickplugin to v0.9.2, see changelog
  * handle percent encoded data as well (psi-img-src-data.diff)
  * some more fixes for movable tabs (psi-movable-tabs-qt45-and-custom-style.diff)
  ! updated russian localization (2009-10-10)
  ! updated Qt to v4.5.3


2009-09-20  zet
v0.14.1008 Beta
  * поправлены скрипты psibuild-deb.sh, deploy, psibuild.sh
  * MUC: переписан патч для топика конференции (psi-muc-topic.diff, psi-receipts.diff,
    psi-send-button-context-menu.diff)
  * MUC: исправлено отображение ника автора топика (psi-muc-topic.diff)
  * MUC: настройка цвета текста для статусного сообщения. отключен курсив для статусного сообщения
    (psi-muc-topic.diff, psi-add-options-color-highlighting.diff)
  + PLUG: добавлена опция ВКЛ/ВЫКЛ для нотификаций о новых письмах 'notification on/off'
    (gmailnotifyplugin, версия 0.3.8)
  * MUC: возможность смены цвета шрифта топика (psi-muc-topic.diff)
  * исправления для src/libpsi в psibuild-tar.sh
  + добавлен патч на добавление команды удалённого управления для выхода Psi+ из конференции(й)
    (added psi-adhoc-leave-muc.diff)
  - отключен нестабильный патч psi-autojoin-dialog-tab-autofoucus-off.diff (перемещён в /dev)
  * сохранён старый скрипт PKGBUILD и добавлен новый скрипт PKGBUILD
    (trunk/scripts/posix/PKGBUILD, trunk/scripts/posix/PKGBUILD.old)
  * исправлена опечатка в psi-adhoc-leave-muc.diff ('Leave all conferenceS')
  * PKGBUILD: исправлено присвоение имени ОС для пакета в процессе сборки
  * PKGBUILD: исправление для сборки плагинов (использование qconf)
  * PKGBUILD: исправлены зависимости в пакете, добавлены некоторые опции для самостоятельных сборок
  * мелкий фикс для psi-adhoc-leave-muc.diff ('Leave All Conferences')
  * важное исправление для psi-typed-history.diff: теперь корректно обрабатываются сообщения из
    истории ввода, содержащие <b></b>-коды (спасибо RomanU)
  ! MS Installer: улучшена работа с реестром при установке/удалении/обновлении приложения
    (HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Psi+
      DisplayVersion
      HelpLink
      Publisher
      URLInfoAbout)
  --
  * src/libpsi submodule export fix (psibuild-deb.sh)
  * MUC: reworked muc topic (psi-muc-topic.diff, psi-receipts.diff, psi-send-button-context-menu.diff)
  * fixed some posix scripts (deploy, psibuild.sh)
  * MUC: fix nick in topic (psi-muc-topic.diff)
  * fixed submodule export src/libpsi/tools/zip and src/libpsi/tools/idle (psibuild-deb.sh)
  * MUC: disabled body for topic. other font (psi-muc-topic.diff)
  * MUC: color setting for additional text. removed italic
    (psi-muc-topic.diff, psi-add-options-color-highlighting.diff)
  + PLUG: added option 'notification on/off' (gmailnotifyplugin, v0.3.8)
  * MUC: improved muc topic patch (psi-muc-topic.diff)
  * MUC: changed default color (psi-muc-topic.diff)
  * MUC: improved topic (psi-muc-topic.diff)
  * fix src/libpsi in psibuild-tar.sh
  + added psi-adhoc-leave-muc.diff
  - disable buggy psi-autojoin-dialog-tab-autofoucus-off.diff
  * save old PKGBUILD and upload new (trunk/scripts/posix/PKGBUILD, trunk/scripts/posix/PKGBUILD.old)
  * typo in psi-adhoc-leave-muc.diff ('Leave all conferenceS')
  * PKGBUILD: fix os name for package during build process
  * PKGBUILD: fix plugins build; using qconf
  * PKGBUILD: fix package dependences; provide some settings for custom building
  * fixed psi-adhoc-leave-muc.diff
  * fixed psi-typed-history.diff - correct parsing for messages with <b></b> codes (thx to RomanU)
  ! MS Installer: improved add/remove/modify operations with registry
    (HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Psi+
      DisplayVersion
      HelpLink
      Publisher
      URLInfoAbout)


2009-08-24  zet
v0.14.956 Beta
  * фиксы размеров фото в vCard (psi-vcard-photo-addons.diff)
  * улучшения в форме vCard (psi-vcard-photo-addons.diff, psi-vcard-more-fields-and-buttons.diff)
  + добавлена обработка css для чатов (psi-chat-css.diff)
  * обновлены win32-скрипты после тестов на MS Windows 7 RC (make-paused.cmd, make.cmd)
  + добавлен патч на изменение некоторых иконок (psi-change-some-icons.diff)
  * обновлён патч psi-avcalls-addons.diff
  * vCard: фикс цвета фона для поля с датой рождения (psi-vcard-more-fields-and-buttons.diff)
  * PLUG: обновлён translateplugin до версии 0.3.0
  * переписан патч psi-vcard-more-fields-and-buttons.diff
  * vCard: фиксы для Джастина (psi-vcard-photo-addons.diff, psi-vcard-more-fields-and-buttons.diff)
  * подправлен патч psi-change-some-icons.diff на предмет вывода иконок для аудио/видео-звонков
  + новый виджет для некоторых полей (psi-lineedit-with-action-widget.diff) -- не завершён
  + добавлен новый системный иконпак от maj (summer-system.jisp, v0.1)
  * обновлён psiplus.jisp до версии 0.3.13
  * фикс в патче psi-all-in-one-window.diff. специально для Nirdosh
  + PLUG: добавлен патч psi-access-to-applicationinfo-from-plugins.diff
  + форма vCard теперь поддерживает новый виджет (psi-lineedit-with-action-widget.diff,
    psi-vcard-more-fields-and-buttons.diff)
  * обновлена avcalls.wiki (на jabber.ru появился собственный stun-сервер: " stun.jabber.ru:5249 ")
  + добавлен иконпак для activities (спасибо Gajim) -- задел на будущеее. пока не работает.
  + добавлены билды для Alt Linux на страницу скачивания (спасибо Arc)
  + добавлен иконпак для ростера dictionary_es.jisp
  * некоторые обновления для нового виджета (psi-lineedit-with-action-widget.diff,
    psi-vcard-more-fields-and-buttons.diff, psi-muc-bookmark-toolbar-button.diff)
  ! MUC: патч psi-muc-user-count.diff принят в основную ветку Psi
  ! немного перереботанный патч psi-chat-nick-colors.diff принят в основную ветку Psi
  * MUC: небольшие фиксы патча psi-muc-nick-hash-color.diff
  * фикс расположения опций в патче psi-add-options-color-highlighting.diff
  * обновлён патч psi-xmpp-uri-in-chat-mode.diff
  + правильное вычисление высоты для ActionLineEdit в Qt 4.5. Всё ещё сломано в Qt 4.4
    (psi-lineedit-with-action-widget.diff)
  * фиксы метки имени в патче psi-add-options-color-highlighting.diff
  * MUC: исправлена работа с кнопкой bookmark в контекстном меню
  ! патч psi-idle-mcmd-command.diff принят в основную ветку Psi
  * MUC: фиксы при редактировании "быстрых" закладок (psi-muc-bookmark-toolbar-button.diff)
  * исправлен краш http://code.google.com/p/psi-dev/issues/detail?id=137 в патче
    psi-vcard-photo-addons.diff)
  * исправления в патче psi-vcard-more-fields-and-buttons.diff
  * фиксы в патчах psi-lineedit-with-action-widget.diff, psi-vcard-more-fields-and-buttons.diff и
    psi-muc-bookmark-toolbar-button.diff
  * обновлён fingerprint.jisp до версии 0.1.7
  + добавлено определение клиента Isida-bot от Disabler (psi-client-icons.diff)
  * vCard: небольшие графические улучшения, группировка полей vCard в патче
    psi-vcard-more-fields-and-buttons.diff
  ! патчи psi-lineedit-with-action-widget.diff, psi-vcard-photo-addons.diff и
    psi-vcard-more-fields-and-buttons.diff приняты в основную ветку Psi
  * автокомпиляция всех плагинов, фикс копирования ресурсов в патче psi-debianize.diff
  * автокомпиляция qconf, фиксы под обновлённый патч psi-debianize.diff
    (trunk/scripts/posix/psibuild-deb.sh)
  * PLUG: обновлён juickplugin до версии 0.7.1, подробнее в juickplugin/changelog.txt
  --
  * fixed vcard photo sizes on dialog init (psi-vcard-photo-addons.diff)
  * some vcard improvements (psi-vcard-photo-addons.diff, psi-vcard-more-fields-and-buttons.diff)
  + css for chat view (psi-chat-css.diff)
  * updated win32 scripts after testing in win7 (make-paused.cmd, make.cmd)
  + added psi-change-some-icons.diff
  * updated psi-avcalls-addons.diff
  * vCard: fix background color for birthday field (psi-vcard-more-fields-and-buttons.diff)
  * PLUG: updated translateplugin to v0.3.0
  * rewritten psi-vcard-more-fields-and-buttons.diff
  * vcard fixes for justin (psi-vcard-photo-addons.diff, psi-vcard-more-fields-and-buttons.diff)
  * fixed psi-change-some-icons.diff for chatdlg avcall icon
  + new widget. not complete (psi-lineedit-with-action-widget.diff)
  * fixed psi-lineedit-with-action-widget.diff compilation. still incomplete
  + added summer-system.jisp v0.1 (by maj)
  * updated psiplus.jisp v0.3.13
  * fixed psi-all-in-one-window.diff. special for Nirdosh
  + PLUG: added psi-access-to-applicationinfo-from-plugins.diff
  + vcard with new lineedit widget
    (psi-lineedit-with-action-widget.diff, psi-vcard-more-fields-and-buttons.diff)
  * updated avcalls.wiki (stun.jabber.ru:5249)
  + added activities icons (thanx to Gajim) -- not implemented
  + added Alt Linux builds to download page (thanks to Arc)
  + added dictionary_es.jisp roster iconset
  * some updates with new edit widget (psi-lineedit-with-action-widget.diff,
    psi-vcard-more-fields-and-buttons.diff, psi-muc-bookmark-toolbar-button.diff)
  * fixed psi-muc-topic.diff after last commits
  ! psi-muc-user-count.diff in mainstream
  ! a bit reworked psi-chat-nick-colors.diff in mainstream.
  * small fix for psi-muc-nick-hash-color.diff
  * fixed appearanace layout for psi-add-options-color-highlighting.diff
  * updated psi-xmpp-uri-in-chat-mode.diff
  + compute ActionLineEdit height with qt-4.5 proper way. still broken with qt-4.4
    (psi-lineedit-with-action-widget.diff)
  * fixed label name for psi-add-options-color-highlighting.diff
  * fixed empty row for psi-add-options-color-highlighting.diff
  * fixed code style for psi-add-options-color-highlighting.diff
  * fixed bookmark in context menu
  ! psi-idle-mcmd-command.diff in the mainstream
  * fixed regression for psi-muc-bookmark-toolbar-button.diff
  * not remove but edit - second state (psi-muc-bookmark-toolbar-button.diff)
  * fixed http://code.google.com/p/psi-dev/issues/detail?id=137 (psi-vcard-photo-addons.diff)
  * fixed psi-vcard-more-fields-and-buttons.diff
  * majish bug fixed. some ui improvements (psi-lineedit-with-action-widget.diff,
    psi-vcard-more-fields-and-buttons.diff, psi-muc-bookmark-toolbar-button.diff)
  * updated fingerprint.jisp to v0.1.7
  + added detection of Isida-bot by Disabler (psi-client-icons.diff)
  * vcard: small ui improvement. moving fields (psi-vcard-more-fields-and-buttons.diff)
  ! some patches in the mainstream (psi-lineedit-with-action-widget.diff,
    psi-vcard-photo-addons.diff, psi-vcard-more-fields-and-buttons.diff)
  * autocompile for all plugins, fix resource copying from share/* (psi-debianize.diff)
  * qconf autocompile, fixes for new debianize patch (trunk/scripts/posix/psibuild-deb.sh)
  * PLUG: updated juickplugin to v0.7.1, see juickplugin/changelog.txt


2009-08-09  zet
v0.14.875 Beta
  ! начата работа над Psi+ v0.14 Beta
  * PLUG: исправлен краш в translateplugin
  + добавлены новые иконсеты: nuvola-roster.jisp и nuvola-system.jisp
  + MUC: добавлен патч на быстрое добавление/удаление закладок через кнопку на тулбаре
  + MUC: добавлена возможность задать ник при быстром добавлении конференции в закладки
    (psi-muc-bookmark-toolbar-button.diff)
  + теперь используются иконки из набора psiplus icons для кнопки добавления/удаления закладки
  + добавлен патч на портабельность (win32) -- тестовый режим
  * поправлен psibuild-deb.sh
  * переписан патч psi-debianize.diff под новый скрипт psibuild-deb.sh (спасибо ivan1986)
  + добавлен скрипт psibuild-tar.sh
  + добавлен патч на выбор цвета для гиперссылок, psi-configure-hyperlink-color.diff (спасибо Shura0)
  * обновлён psiplus.jisp до версии 0.2.12
  + добавлен патч, исправляющий работу с xhtml (psi-bf-xhtml-with-plugins-enabled.diff)
  - патч psi-bf-xhtml-with-plugins-enabled.diff принят в основную ветку Psi
  * обновлена иконка application.icns для Mac OS X
  + PLUG: добавлен патч psi-add-icons-to-iconfactory-from-plugins.diff
  * PLUG: обновлён translateplugin до версии 0.2.2
  + PLUG: добавлен changelog.txt для juickplugin
  * PLUG: обновлён gmailnorifyplugin до версии 0.3.7
  * PLUG: обновлён juickplugin до версии 0.6.2
  + добавлен патч на увеличение количества полей в vCard (psi-vcard-addons.diff) -- XEP-0054
  * исправлено позиционирование формы календаря для psi-vcard-addons.diff
  * задан формат даты рождения YYYY-MM-DD для psi-vcard-addons.diff
  - MUC: патч psi-muc-kickban-reasons.diff принят в основную ветку Psi
  * рефакторинг патчей для vCard
  + PLUG: добавлен патч psi-access-to-activetab-from-plugins.diff
  * слияние/реорганизация патчей для vCard
  --
  ! Psi+ v0.14 Beta started
  * PLUG: screenshotplugin -- shortcuts rewritten
  * PLUG: fixed crash in translate plugin
  + added new iconsets: nuvola-roster.jisp & nuvola-system.jisp
  + MUC: added easy way to bookmark conference using button on central toolbar
  * MUC: fully functional bookmark button
  * MUC: ability to set a nickname for psi-muc-bookmark-toolbar-button.diff
  + use psiplus icons for add/remove bookmark button
  + added psi-portable patch (win32)
  * resource download fix, plugins download from svn and compile feature, code refactoring for
    psibuild-deb.sh
  * rewrited psi-debianize.diff for new psibuild-deb.sh, based on ivan1986 specs
  + added script for build source tar.bz2 from svn & git (psibuild-tar.sh)
  * fix errors in psibuild-deb.sh
  * fix psi-debianize patch
  * add call qconf to psibuild-deb.sh
  * psibuild-deb.sh patches for plugins
  + added psi-configure-hyperlink-color.diff (thanks to Shura0)
  * updated psiplus.jisp to v0.2.12
  * fix psibuild-deb.sh - mkdir
  + fix for xhtml with enabled plugins (psi-bf-xhtml-with-plugins-enabled.diff)
  - psi-bf-xhtml-with-plugins-enabled.diff in main stream
  * updated application.icns for Mac OS X
  + PLUG: added psi-add-icons-to-iconfactory-from-plugins.diff
  * PLUG: updated translateplugin to v0.2.2
  + PLUG: added changelog.txt for juickplugin
  * PLUG: update gmailnorifyplugin to v0.3.7
  * PLUG: update juickplugin to v0.6.2
  + new fields in vcard (psi-vcard-addons.diff) -- XEP-0054
  * fix calendar positioning (psi-vcard-addons.diff)
  * changed date format for bday (psi-vcard-addons.diff) -- YYYY-MM-DD
  * some ui improvements for psi-vcard-addons.diff
  - MUC: psi-muc-kickban-reasons.diff in main stream
  * combine some vcard patches
  * vcard patches refactoring
  * psi-vcard-photo-addons.diff is ready for infiniti
  - removed wierd button-pilotka
  * max size for vcard photo (psi-vcard-photo-addons.diff)
  + PLUG: added psi-access-to-activetab-from-plugins.diff
  * reorganize vcard patches


2009-07-28  zet
v0.13.795 Release
  * одинаковое расстояние для аватаров в ростере
  * обновлён juickplugin до версии 0.4.5 - добавлена опция "использовать номер сообщения как ресурс"
    (каждый новый тред сообщений открывается в отдельном табе)
  * полностью работоспособные ярлыки для плагинов
  * обновлён translateplugin до версии 0.2.1
  ! Psi+ 0.13 зарелизилась! :)
  --
  * equal space for avatars in roster. special for maj
  * typo in About+ dlg
  * updated juickplugin to v0.4.5 - added option 'use message id as resource'
  * fully working shortcuts for plugins
  * updated translateplugin version to 0.2.1
  ! Psi+ 0.13 released! :)


2009-07-26  zet
v0.13.783 RC4
  ! начиная с v0.13.683 сборки Psi+ выпускаются с поддержкой системы проверки орфографии Aspell.
    в комплекте идёт только aspell-15.dll. словари для проверки орфографии необходимо скачивать
    отдельно. На данный момент рекомендуется использовать совмещённый словарь English+Russian с
    поддержкой буквы "Ё" отсюда: http://psi-dev.googlecode.com/files/aspell-ruen.exe (распаковать
    содержимое архива в каталог Psi+). Для включения функции проверки орфографии необходимо в
    настройках Psi+ на вкладке Misc. отметить галку [v] Check spelling
  * контакт-менеджер: некоторые графические улучшения. обновление элементов при групповом переносе
  * обновлены logo, psiplus.jisp и fingerprint.jisp (спасибо lgs)
  + добавлена новая иконка приложения Psi+ (app.ico)
  + опциональная автокалибровка размера иконок в логе сообщений в зависимости от размера шрифта
  * фикс для says style
  * обновлён translateplugin до версии 0.1.7
  + контакт-менеджер: экспорт контактов
  * бинарники плагинов (*.dll) перенесены из svn на страницу скачиваний
  * qtcurve.dll перенесён на страницу скачиваний
  * скрипт PKGBUILD for ABS перенесён со страницы скачиваний в trunk/scripts/posix
  * build script for dеb-based Linux (fix #1) перенесён со страницы скачиваний в trunk/scripts/posix
  * скрипт PKGBUILD for psi-media making перенесён со страницы скачиваний в trunk/scripts/posix
  + добавлено определение клиента Yabber Instant Messenger
  * обновлён fingerprint.jisp до версии 0.1.6
  + контакт-менеджер: импорт контактов
  + круглые уголки для аватарок в ростере
  + добавлен jisp для ростера (qipinfium.jisp)
  * аватары в ростере: фикс расположения элементов ростера при обновлении аватары
  + убраны стрелки с кнопок со смайлами и с шаблонами (psi-send-button-context-menu.diff)
  + добавлена опция на выбор цвета подсвечиваемого сообщения (вкладка настройки шрифтов и цветов)
  + добавлена инструкция по сборке Psi+ под Mac OS X, http://code.google.com/p/psi-dev/wiki/mac_osx
  * изменено расположение и порядок иконок на централ-баре. av-вызовы в контекстном меню
  * поправлено присвоение имени версии в скриптах (psibuild-deb.sh, psibuild.bsd, psibuild.sh)
  * восстановлена отрисовка иконки на отсоединённом табе (psi-tab-status-icon.diff)
  * обновлён juickplugin до v0.4.1
  * исправлена перерисовка иконки на табе после сворачивания/разворачивания
  * исправлено присвоение иконки для функции посылки персонального статуса
  * обновлён psiplus.jisp до версии 0.2.10
  ! Beta -> RC4 в названии версии и капсе
  --
  ! aspell support (aspell-15.dll) + english+russian dictionary with "Ё" supporting
    http://psi-dev.googlecode.com/files/aspell-ruen.exe (unpack archive content to Psi+ dir).
    for activate this feature goto Psi+ options, Misc. tab and enables checkbox [v] Check spelling
  * contactmanager: some ui improvements. key events. fix updating on move to group
  * updated logo, psiplus.jisp, fingerprint.jisp (thanks to lgs)
  + added app.ico
  + option to scale messages'es icons
  * more correct size computation for message icons
  * fixed says style
  * updated translateplugin to 0.1.7
  + contactmanager: export contacts
  * moved win32 plugins (*.dll) to downloads page
  * moved qtcurve.dll to downloads page
  * moved PKGBUILD for ABS script from downloads page to scripts/posix dir
  * moved build script for dеb-based Linux (fix #1) from downloads page to scripts/posix dir
  * moved PKGBUILD for psi-media making from downloads page to scripts/posix dir
  + added detection Yabber Instant Messenger
  * updated fingerprint.jisp to v0.1.6
  + contactmanager: import contacts
  * separate icon for send custom status
  + roster avatars round corners
  + added roster jisp (qipinfium.jisp)
  * avatars in roster: invalidate height on update avatar
  * roster avatars: proper item's height recomputation on any avatar size
  + shortcut accessor for plugins
  + kill arrow for psi-send-button-context-menu.diff
  + added options color highlighting
  + created mac_osx.wiki
  * a bit more elegant patch. but needs more work
  * codestyling a bit improved for psi-send-button-context-menu.diff
  * move icons on central bar. avcall icon in context menu
  * fixed scripts after rc (psibuild-deb.sh, psibuild.bsd, psibuild.sh)
  * keep tab icon on detach for psi-tab-status-icon.diff
  * update juickplugin to v0.4.1
  * muc icons on tabs restored after hide/show
  * fixed icons in psi-send-custom-status.diff
  * updated psiplus.jisp to v0.2.10
  ! Beta -> RC4 for version name and caps


2009-07-12  zet
v0.13.680 Beta
  * поправлен эскейпинг для системных сообщений (psi-muc-topic.diff)
  ! поправлен критический баг с html-никами в конференции (psi-muc-topic.diff)
  * обновлён gmailnotifyplugin до версии 0.3.6
  + добавлено определение клиента Sameplace Mozilla-based IM (psi-client-icons.diff)
  + добавлен juickplugin (текущая версия 0.1.2)
  + добавлен патч psi-xmpp-uri-in-chat-mode.diff
  * переписан скрипт psibuild.sh (http://psi-dev.googlecode.com/svn/trunk/scripts/posix/psibuild.sh)
  + добавлен скрипт psibuild для сборки Psi+ в BSD-системах
    (http://psi-dev.googlecode.com/svn/trunk/scripts/posix/psibuild.bsd)
  * обновлён системный иконпак psiplus.jisp
  + добавлен смайлпак QIP_emoticons.jisp
  + добавлена команда "paste and send" в контекстное меню на централбаре
  * изменена позиция кнопки "paste and send" на централбаре
  + добавлена кнопка вызова шаблонов на централбаре (psi-send-button-context-menu.diff)
  + добавлен патч psi-fix-ns-correcting.diff
  + добавлено определение клиента Juick (psi-client-icons.diff)
  * обновлён иконпак с иконками jabber-клиентов fingerprint.jisp до версии 0.1.4
  + добавлены патчи от Thilo (Ephraim), http://flyspray.psi-im.org/task/855
    (psi-implements-iq-version-stuff-in-discodlg.diff,
     psi-add-feature-jabber-iq-version-to-psi-s-feature-list.diff,
     psi-add-iq-version-feature-stuff.diff)
  + добавлена команда вызова шаблонов из контекстного меню на централбаре
  * поправлено обновление списка шаблонов на тулбаре
  + добавлен патч на вывод версии плагина в опциях (psi-add-plugin-version-to-options-tab.diff)
  + translateplugin: добавлена команда для отмены конвертации
  * обновлён translateplugin до версии 0.1.6
  * обновлено содержимое информационного окна "About Psi+" (about-psi-plus.diff)
  * исправлен патч psi-xmpp-uri-in-chat-mode.diff
  ! обновлена русская локализация до ревизии 108
  --
  * reverted escaping of sysmessage (psi-muc-topic.diff)
  ! fixed critical bug with html in nicknames in muc (psi-muc-topic.diff)
  * updated gmailnotifyplugin to v0.3.6 (src & dll)
  + added Sameplace Mozilla-based IM detection (psi-client-icons.diff)
  + added juickplugin v0.1.2 (src & dll)
  + added psi-xmpp-uri-in-chat-mode.diff
  * fixed psibuild.sh (http://psi-dev.googlecode.com/svn/trunk/scripts/posix/psibuild.sh)
  + added psibuild for bsd (http://psi-dev.googlecode.com/svn/trunk/scripts/posix/psibuild.bsd)
  * mime for psibuild.bsd
  * updated psiplus.jisp
  + added QIP_emoticons.jisp
  + added "paste and send" in central toolbar context menu
  * change position "paste and send" in central toolbar
  * updated psi-xmpp-uri-in-chat-mode.diff
  + added templates in central toolbar (psi-send-button-context-menu.diff)
  + added psi-fix-ns-correcting.diff for fix default account for uri
  + added Juick client detection (psi-client-icons.diff)
  * updated fingerprint.jisp to v0.1.4
  + added patches by Thilo (Ephraim) from http://flyspray.psi-im.org/task/855
    (psi-implements-iq-version-stuff-in-discodlg.diff,
     psi-add-feature-jabber-iq-version-to-psi-s-feature-list.diff,
     psi-add-iq-version-feature-stuff.diff)
  + added templates in toolbar context menu
  * fixed update templates in toolbar
  + added psi-add-plugin-version-to-options-tab.diff
  + translateplugin: added revert conversion
  * updated translateplugin to v0.1.6 (src & dll)
  * updated About Psi+ dlg (about-psi-plus.diff)
  * fixed psi-xmpp-uri-in-chat-mode.diff
  ! updated russian localization (r108)


2009-07-05  zet
v0.13.643 Beta
  + начата работа над иконками для всех событий чатлога
    (http://code.google.com/p/psi-dev/issues/detail?id=2)
  + добавлен патч для вызова контекстного меню на кнопке Send (psi-send-button-context-menu.diff)
  * обновлены psi-receipts.diff, psi-roster-icons.diff
  * обновлён VKontakte.ru.jisp
  + добавлена кнопка Paste & Send на тулбар
  + добавлена команда "Only Paste" в меню с шаблонами
  * обновлён psiplus.jisp для меню с шаблонами, обновлён патч "Paste & Send"
  * изменена иконка для кнопки Paste & Send
  + контакт-менеджер: перемещение одного или нескольких контактов в заданную группу
  + добавлен патч на выход из приложения по нажатию кнопки закрытия ростера
    (quit-on-close-option.diff)
  * поправлен фокус после вызова контекстного меню на кнопке Send
  * изменён внешний вид контекстного меню на кнопке Send
  * обновлён gmailnotifyplugin до версии 0.3.5 (VampiRUS) -- нестабилен
  + добавлен translateplugin от VampiRUS (текущая версия 0.1.4)
  + включена поддержка плагинов в psibuild.sh
  + добавлена основная инструкция по компиляции Psi+ в Linux
    (http://code.google.com/p/psi-dev/wiki/linux)
  + увеличен интервал между опросами нажатия на кнопку "Paste & Send"
  + добавлен патч на вызов функции выгрузки плагинов перед выходом из приложения (VampiRUS)
  + добавлен патч на вызов дисконнекта в деструкторе (VampiRUS)
  + plugins.wiki: добавлено описание для translateplugin
  + контакт-менеджер: добавлен вызов контекстного меню на контакте
  + контакт-менеджер: иконки для контекстного меню
  + добавлена иконка голосового вызова на централбар
  * обновлён psiplus.jisp до версии 0.2.5
  * обновлены скрипты для автоматической компиляции Psi+ в MS Windows
  * изменено положение меню голосовых вызовов в групчате
  * контакт-менеджер: некоторые графические улучшения (специально для maj)
  + добавлен патч psi-fix-ability-to-modify-events-from-plugins.diff (VampiRUS)
  ! обновлён Qt до версии 4.5.2
  ! обновлена русская локализация (ivan101)
  --
  + started work on icons for everything in chatlog
    (http://code.google.com/p/psi-dev/issues/detail?id=2)
  * get rid 1px align for psi-receipts.diff
  + added patch psi-send-button-context-menu.diff
  * read image resources on log clear
  * updated psi-receipts.diff, psi-roster-icons.diff
  * updated VKontakte.ru.jisp
  + added button "Paste & Send" in toolbar
  + added options "Only Paste" in template menu
  * updated psiplus.jisp for Paste and send templates
  * updated Paste and Send patch
  * change icon for Paste and Send button
  + contactmanager: move to group
  + added new patch quit-on-close-option.diff
  * fixed quit-on-close-option.diff: enable checkbox on init
  * fix focus after call send button menu
  * change aspect send button menu
  * updated gmailnotifyplugin by VampiRUS to v0.3.5 -- still unstable
  + added translateplugin by VampiRUS (v0.1.4)
  * psibuild.sh with plugins support
  * wiki: general linux build instructions (http://code.google.com/p/psi-dev/wiki/linux)
  + click limit for paste send button
  + added unload all plugins on exit function by VampiRUS
  + added discconnect short to destructor by VampiRUS
  + plugins.wiki: translateplugin
  + contactmanager: context menu
  + contactmanager: context menu icons
  + avcall icon on central bar
  * updated psiplus.jisp to v0.2.5
  * updated win32 scripts
  * avcall menu item in gc right under messages
  * contactmanager: some ui improvements (special for maj)
  + added psi-fix-ability-to-modify-events-from-plugins.diff by VampiRUS
  ! updated Qt to v4.5.2
  ! updated russian localization by ivan101 (r100)


2009-06-21  zet
v0.13.593 Beta
  + контакт-менеджер: возможность найти и выбрать контакт
  * muc-nick-hash-color теперь включен по умолчанию
  + иконки для psi-receipts.diff, psi-roster-settings.diff и psi-roster-icons.diff теперь берутся из
    специализированного системного иконпака psiplus.jisp
  * костыль для работы all-in-one-window в Mac OS X
  * переименован заголовок диалога "About Psi" в "About"
  * контакт-менеджер: исправлено падение приложения при смене домена
  * исправлена загрузка распакованных иконсетов при старте приложения
  + добавлен путь по умолчанию для psi-additional-system-iconset.diff
  + добавлена иконка для кнопки Send (Отправить)
  * небольшая оптимизация кода для топика конференции
  * обновлён psiplus.jisp
  + контакт-менеджер: добавлено действие "Удалить"
  + контакт-менеджер: добавлена группа действий "Авторизация"
  * контакт-менеджер: увеличена щирина диалогового окна
  - контакт-менеджер: убран неиспользуемый код
  * контакт-менеджер: небольшие улучшения
  * обновлён copying.txt (GPL Version 2.1)
  + скриншот-плагин: добавлена опция для ввода url-адреса сервера и горячей клавиши вызова плагина,
    подробнее на http://code.google.com/p/psi-dev/wiki/plugins
  + скриншот-плагин: добавлен ftp-менеджер для загрузки файлов на ftp-сервер. если не указан
    url-адрес для ftp-сервера, то графический файл будет сохранён на локальный жёсткий диск
  + скриншот-плагин: добавлено сообщение об ошибке при неудачной загрузке на ftp-сервер
  * обновлён screenshotplugin.dll для MS Windows
  + контакт-менеджер: добавлены кнопки управления окном (maximize, minimize)
  + скриншот-плагин: добавлена опция для назначения имени графического файла 
  * скриншот-плагин: изменён основной класс окна с Widget на Dialog. добавлена реакция на Esc для
    закрытия окна со скриншотом
  + скриншот-плагин: добавлена кнопка "Загрузить на FTP". если не указан url-адрес в опциях, то
    кнопка "Загрузить на FTP" будет скрыта
  * обновлён screenshotplugin.dll для MS Windows
  + добавлен некоторый функционал для вызова голосовых звонков (команда в контекстном меню на
    контакте ростера конференции)
  + добавлена кнопка "Звонок" в тулбар окна чата
  * контакт-менеджер: исправлен баг с обновлением контактов после резолвинга ников и при других
    операциях. возможно исправлено падение приложения
  * обновлён gmailnotifyplugin (src & dll)
  ! добавлен инсталлятор для PsiMedia версии 1.0.3 (win32).
    подробнее на http://code.google.com/p/psi-dev/wiki/avcalls
  --
  + contactmanager: ability to find and select contacts
  * muc-nick-hash-color now enabled by default
  + go to use psiplus.jisp in: psi-receipts.diff, psi-roster-settings.diff, psi-roster-icons.diff
  * ugly fix for mac in all-in-one-window. we should get rid this ugly patch one day...
  * About Psi -> About
  * contactmanager: possibly fix crash on changing domain
  * fix icon search path for unpacked sets
  + added default icon path for psi-additional-system-iconset.diff
  + added icon for send button 
  * small optimization topic dialog
  * updated psiplus.jisp
  + contactmanager: added remove action
  + contactmanager: added auth actions
  * contactmanager: increased dialog's width
  - contactmanager: removed unnecessary includes
  * contactmanager: small improvements
  * updated copying.txt (GPL Version 2.1)
  + screenshotplugin: added url and shortcut options.
    see at http://code.google.com/p/psi-dev/wiki/plugins for details
  * screenshotplugin: fixed reassing shortcut
  + screenshotplugin: added ftp upload, if url is empty picture will be save to local disk
  * screenshotplugin: fixed ftp errors
  + screenshotplugin: added options for message
  * screenshotplugin: fixed reading default message
  * screenshotplugin: changed date/time format for uploading files
  * updated win32/gmailnotifyplugin.dll & win32/screenshotplugin.dll
  + contactmanager: added maximize, minimize buttons
  * contactmanager: fix menu item unavailable if bookmarks unavailable
  + screenshotplugin: added file name format to options
  * screenshotplugin: changed Widget to Dialog main class. added Esc shortcut for close window
  + screenshotplugin: added upload button. if no url inputed upload button will be hidden
  * updated screenshotplugin.dll for win32
  + some additional functionality for avcalls. muc menu item atm
  + add call button into toolbar of chat dialog
  + conditional adding of avcall menu items/buttons
  * contactmanager: fixing bug with not updatable contacts after nick resolve. part1
  * fixed psi-add-detection-some-os.diff after last git commit
  * contactmanager: fixed updating contacts on resolve and other actions.
    possibly fixed possible crash
  * updated gmailnotifyplugin (src & dll)
  ! added PsiMedia Installer v1.0.3 (win32).
    see at http://code.google.com/p/psi-dev/wiki/avcalls for details


2009-06-07  zet
v0.13.537 Beta
  + добавлены команды контекстного меню для формы с фото в vCard
  + добавлен патч на вызов специализированных системных иконок из иконпака psiplus.jisp
  + добавлен иконпак со специализированными системными иконками psiplus.jisp
  * менеджер контактов теперь умеет рассылать групповые сообщения выбранным контактам
  + добавлено определение клиента "Прогноз погоды с Gismeteo.RU"
  * обновлён fingerprint.jisp до версии r129.1
  * фиксы контакт-менеджера для компиляции под win32
  * контакт-менеджер: совместимость с Qt 4.4
  + wiki: добавлен скрипт отката для *nix-систем
  ! исправлена критическая ошибка, приводившая к падению приложения при закрытии окна/таба
    конференции с открытым редактором топика
  ! патч на добавление контакт-менеджера перенесён в общий каталог с патчами и входит теперь в
    поставку Psi+
  * исправлено поведение окна с фото в vCard (центрирование при первоначальном вызове)
  + добавлен патч на добавление опции для подтверждения очистки лога конференции/чата
    (psi-optional-confirmation-when-clearing.diff)
  + контакт-менеджер: добавлена функция "преобразовать в ники"
  + контакт-менеджер: начало работы над функцией "смена домена"
  * обновлены иконки и превьюшки на главной странице проекта (http://psi-dev.googlecode.com/)
  + добавлен плагин для уведомлений о новой почте с Gmail (gmailnotifyplugin by VampiRUS)
  + добавлен патч на поиск директории с плагинами для *nix-систем
  + добавлено определение клиентов: Мобильный Mail.Ru Агент для Symbian, CenterIM
  * обновлены иконпаки: psiplus.jisp, fingerprint.jisp
  - svn: убраны неиспользуемые иконки из директорий с иконпаками
  * обновлён патч psi-client-icons.diff
  * svn: устаревшие плагины перемещены в специальный каталог (deprecated)
  * контакт-менеджер: закончена работа над функцией "смена домена"
  + добавлен логотип Psi+ в меню "О программе" (About dlg)
  * gmail notify plugin обновлён до версии 0.2.4 (VampiRUS)
  * ограничение палитры цветов для патча на hash-раскраску ников (больше контраста для белого фона)
  * контакт-менеджер теперь готов для локализации
  + добавлен патч psi-chat-messages-subject-fix.diff для исправления положения темы в чат-сообщениях
    (спасибо VampiRUS)
  * gmail notify plugin обновлён до версии 0.3.1 (VampiRUS)
  ! обновлена русская локализация (ivan101)
  --
  + added context menu in vcard photo dlg
  + added psi-additional-system-iconset.diff (load icons from psiplus.jisp)
  + added iconsets/psiplus/psiplus.jisp ver. r11.1
  * contact manager is now spam manager. can send messages to selected contacts
  + added detection "Прогноз погоды с Gismeteo.RU" client. updated fingerprint.jisp to ver. r129.1
  * contact manager: compatibility with qt-4.4
  + wiki: added revert script for nix
  ! fixed crash when closing window with while topic editor is opened
  ! contact manager: added psi-contact-manager.diff to general patches dir (ready for use)
  * fix vcard photo
  + added patch psi-optional-confirmation-when-clearing.diff
  + contact manager: added resolve nicknames action
  + contact manager: started work on changing domain
  * updated thumbnails for Psi+ homepage
  + added gmail notify plugin by VampiRUS
  + added plugins search path for nix
  + added detection clients: Mail.ru sis MobileAgent, CenterIM
  * updated jisp: psiplus.jisp, fingerprint.jisp
  - remove unwanted icons from svn
  * updated psi-client-icons.diff
  * deprecated plugins moved to deprecated dir in svn
  * contact manager: changing domain is done
  * some cosmetic changes (psiplus logo in About dlg)
  * gmailnotifyplugin v0.2.4 by VampiRUS
  * limiting palettes (contrast for white background) for psi-muc-nick-hash-color.diff
  * contact manager is now translatable
  + added patch psi-chat-messages-subject-fix.diff
  * gmailnotifyplugin v0.3.1 by VampiRUS
  ! updated russian localization by ivan101


2009-05-24  zet
v0.13.491 Beta
  + добавлено определение клиентов Sapo Messenger Mac и Spark IM Client
  * обновлён иконпак с ростерными иконками fingerprint.jisp до версии r128.1
  + добавлено определение клиента Pandion
  + автоматический ресайзинг фото при изменении размеров окна с фоткой из vCard
  + добавлено определение платформы Arch Linux в Psi+ (спасибо Dill)
  * исправлено положение окна с фото из vCard при повторном вызове
  ! обновлена русская локализация от ivan101
  --
  + added clients detection: Sapo Messenger Mac, Spark IM Client
  * updated fingerprint.jisp to ver r128.1
  + added detection of Pandion jabber client
  + resize clickable photo
  * adding detection of Arch Linux (thx to Dill)
  * fix central orientation new photo dlg
  ! updated russian localization (by ivan101)


2009-05-11  zet
v0.13.469 Beta
  * уменьшен размер иконки о доставке сообщения
  + добавлен интервал в 1 пиксель между аватарами и иконками клиентов в ростере
  + добавлен сдвиг на 1 пискель влево от края ростера для аватаров
  + размер формы редактора топика сопоставим с размером окна самого группчата
  + теперь окно редактора топика немодальное (не блокирует работу с другими элементами Psi+)
  * восстановлена работа копирования по Ctrl+C в поле с JID (в окне ростерного чата)
  + добавлен исходный код для скриншот-плагина (тестовая версия)
  + добавлен патч на снижение агрессии автофокуса на форме присоединения к конференции (спасибо Nexor)
  + добавлено определение клиентов OM и freqbot
  * обновлён fingerprint.jisp до версии r127.2
  + добавлен патч на выключение горизонтального скролла для ростера конференции
  * убрана блокировка копирования по Ctrl+C в случае если окно конференции потеряло связь с сервером
  - временно выключен патч на возможность перемещения табов (из-за нестабильности в работе)
  + добавлен скомпилированный скриншот-плагин для MS Windows (x86):
    http://psi-dev.googlecode.com/svn/trunk/plugins/win32/screenshotplugin.dll.
    инструкция по самостоятельной компиляции плагина: http://code.google.com/p/psi-dev/wiki/mingw32
  * исправлено включение/выключение скриншот-плагина
  * исправлено поведение кнопки открытия редактора топика. теперь несколько нажатий не приводит к
    открытию нескольких редакторов
  * убран множественный вызов окна с фотографией при клике в форме vCard
  * обновлена вкладка "About Psi+" в Psi->Help->About
  * добавлен FAQ для пользователей Psi+ в Windows: http://code.google.com/p/psi-dev/wiki/faq_windows
  + добавлен патч и скрипт для сборки Psi+ под debian и debian-based системами
  --
  * receipts icon size decreased
  + added 1 pix gap between roster icons
  + added 1 pix gap between avatar icons and roster edge
  + size topic dialog relatively groupchat window
  * topic dialog non modality
  * fixed Ctrl+C copy jid in chat dialog
  + added screenshot plugin sources (test version)
  + added psi-autojoin-dialog-tab-autofoucus-off.diff (thanks to Nexor)
  + added some clients detection (OM, freqbot). updated fingerprint.jisp to version r127.2
  + added patch horizontal scrollbar in muc roster always off
  * fixed Ctrl+C copy when groupchat is offline
  - disable patch psi-movable-tabs.diff
  + added compiled screenshot plugin for win32:
    http://psi-dev.googlecode.com/svn/trunk/plugins/win32/screenshotplugin.dll.
    instruction for selfcompiling screenshotplugin: http://code.google.com/p/psi-dev/wiki/mingw32
  * fixed enable-disable for screenshot plugin
  * fixed topic button in psi-muc-topic.diff
  * fixed clickable photo in psi-vcard-clickable-photo.diff
  * updated About Psi+ tab
  * added FAQ for Windows users: http://code.google.com/p/psi-dev/wiki/faq_windows
  + added debian package info for dpkg-buildpackage


2009-05-01  zet
v0.13.433 Beta
  * исправлена критическая ошибка, приводившая к падению приложения при кике в конференции
  + добавлен патч на определение операционных систем Exherbo Linux и MS Windows 7
  + добавлено распознавание гиперссылок в топике конференции при присоединении к конференции
    (спасибо AvadoN)
  + добавлен патч на возможность drag-n-drop-перемещения табов (работает в Qt 4.5.1)
  - убрано выделение jid-ов в логе конференции
  + добавлено определение клиента BombusQD
  * обновлена иконка по умолчанию для mail.ru агента в fingerprint.jisp
  * исправлено форматирование сообщения во всплывающем окне на топике
  + добавлено распознавание гиперссылок во всплывающем окне на топике
  * поправлено определение клиента Psi+ в psi-client-icons.diff (issue 3 #24)
  * исправлен баг с перетаскиванием табов (issue 81)
  * изменён алгоритм для отображения иконки о доставке сообщения: теперь вычисляется размер шрифта
    лога в пикселях - это и будет являться высотой иконки. в дальнейшем иконка каждый раз ресайзится,
    пропорционально своим размерам и отрисовывается
  + добавлена опция для отображение многострочного топика конференции в компактном виде
    options.muc.compact-multiline-topic (по умолчанию - выключено)
  + добавлено отображение смайлов во всплывающем окне на топике конференции
  ! обновлена версия Qt до 4.5.1
  --
  * fixed bug with kick in psi-muc-minimize-to-roster.diff
  + added patch psi-add-detection-some-os.diff for Exherbo Linux detection
  + added MS Windows 7 detection in psi-add-detection-some-os.diff
  + added topics' formatting in psi-muc-topic.diff (by AvadoN)
  + added patch psi-movable-tabs.diff
  - removed clickable for jids in muc log (psi-muc-topic.diff)
  + added detection of BombusQD mod client (psi-client-icons.diff)
  * changed mailru default client icon (psi-client-icons.diff)
  * updated fingerprint.jisp
  * added formatting message in topic tooltip (psi-muc-topic.diff)
  + links in topic tooltip (psi-muc-topic.diff)
  * small optimisation for psi-client-icons.diff (issue 3 #24)
  * fixed some bugs in psi-movable-tabs.diff (issue 81)
  * sized delivery notification icon (psi-receipts.diff)
  + added options 'Replace | in chat topic with newline' (psi-muc-topic.diff)
  * fix compact mode for chat topic (psi-muc-topic.diff)
  + added advanced option 'options.muc.compact-multiline-topic' (false by default)
  + added show smiles in tooltip (psi-muc-topic.diff)
  ! updated Qt version to 4.5.1


2009-04-19  zet
v0.13.394 Beta
  - удалён ненужный патч на запрещение вызова функции голосовых звонков
  * строки из psi-idle-mcmd-command.diff готовы для локализации
  * исправлены умолчания для нового аккаунта
  * исправлена критическая ошибка, приводившая к падению приложения при попытке создания нового
    аккаунта после первого старта Psi (основная ветка)
  + добавлена возможность настройки параметров голосовых вызовов через графический интерфейс
    (основная ветка)
  ! новая версия библиотек OpenSSL 0.9.8k
  --
  - deleted unused patch psi-disable-av-calls.diff
  * strings in mcmd is not-translable
  * fixed options after last git commits
  * changes to psiaccount belong in setUserAccount not in accountmodifydlg (mainline)
  + make avcall options normally accessible in the UI (mainline)
  ! new OpenSSL 0.9.8k version 


2009-04-05  zet
v0.13.381 Beta
  + добавлено определение клиента nimbuzz
  + теперь проверка наличия новой версии дистрибутива Psi+ происходит по состоянию файла version.txt
  - патч на портабельность ВРЕМЕННО выключен из-за глюков совместного использования Psi+
    несколькими пользователями и глюками под не_админом (win32)
  + добавлен psi-portable.bat для запуска Psi+ с профилем из текущего каталога (Psi+\PsiData)
  + начата работа над совместимостью плагинной системы Psi для версии 0.13.
    подробнее на http://code.google.com/p/psi-dev/wiki/plugins
  * возвращено прежнее поведение фокуса после клика на фото в форме vCard (issue 69)
  * поправлено название опции "цвет ника для входящего/исходящего сообщения чата"
  * обновлена русская локализация (спасибо ivan101)
  --
  + added detection of nimbuzz client
  + added version.txt for monitoring current version
  * updated psi-dirty-check.diff
  - temporary disabled patch psi-win32-portable.diff (rewrite needed)
  + added psi-portable.bat for start Psi+ with profile from current dir (Psi+\PsiData)
  * fixed Plugin System. Now it can save & restore options. added psi-plugins-options.diff
  + added test option plugin. It save-load int & string values.
  * fixed old plugins. Removed const from method options. added virtual methods
    (psi-fixed-plugins.diff)
  * reverted changes from r107 (170-psi-vcard-clickable-photo.diff)
  * updated text in 360-psi-chat-nick-colors.diff
  * updated russian localization (thanks to ivan101)


2009-03-29  zet
v0.13.352 Beta
  * изменён размер формы About для более удобного отображения вкладки About Psi+ :)
  + добавлена копия changelog.txt в кодировке cp1251
  + добавлен патч на hash-раскраску ников в конференциях (спасибо L29Ah).
    патч имеет advanced-настройки:
    • использовать hash-раскраску ников для истории конференции (по умолчанию - отключено)
    • включение/отключение hash-раскраски ников (по умолчанию - отключено)
  + добавлен патч, восстанавливающий работу Ctrl+C/Ctrl+V в обычных чатах (спасибо mpk)
  + добавлен патч "всё в одном" (ростер, чаты и конференции в одном окне) -
    данный режим экспериментальный и отключен по умолчанию
  + добавлено опеределение клиента mcabber и вывод его иконки в ростер
  + добавлено корректное отображение статуса конференции в ростере
  + добавлен патч, убирающий кнопки в заголовке панели с табами (отключаемо)
  * исправлена критическая ошибка, приводящая к падению приложения при попытке захода
    в конференцию по приглашению
  + добавлено определение клиентов Ya.Online j2me и Adium
  * обновлён fingerprint.jisp
  --
  * updated about-psi-plus.diff
  + added changelog_cp1251.txt
  + added patch psi-muc-nick-hash-color.diff
  + added patch psi-chatdlg-copypaste-keypress.diff (thanks to mpk)
  + added patch psi-all-in-one-window.diff (experimental, disabled by default)
  * updated psi-muc-nick-hash-color.diff (thnx to L29Ah). added two advanced options:
    • options.ui.muc.colored-history (disabled by default)
    • options.ui.muc.use-hash-nick-coloring (disabled by default)
  + added mcabber detection for psi-client-icons.diff
  + added showing muc's status in roster for psi-muc-minimize-to-roster.diff
  + added patch psi-tabs-button-killer.diff
  * fixed some bugs with invite in psi-muc-minimize-to-roster.diff
  + added detection: Ya.Online j2me client, Adium
  * updated fingerprint.jisp


2009-03-22  zet
v0.13.333 Beta
  + добавлена иконка ростера для JaPyT-транспорта
  * обновлены иконки для pyvk-t транспорта
  * добавлена информация о Psi+ в капсы
  + добавлен патч для автокорректировки размеров окна vCard (psi-vcard-smartsize.diff)
  + добавлен патч для отправки прямого статуса выбранному контакту ростера и/или в открытую
    конференцию psi-send-custom-status.diff (спасибо mpk)
  + добавлена иконка для меню Send status (psi-send-custom-status.diff)
  + добавлен патч на запрет вызова меню голосовых звонков (данная функция требует доработки)
  * переименованы патчи для win32
  + добавлена новая вкладка в меню справки Help->About->About Psi+ с информацией
    об участниках проекта Psi+
  --
  + added roster icon for JaPyT in iconsets/clients/fingerprint.jisp
  * Replaced pyvk-t and added pyvk-t2 icon in iconsets/clients/fingerprint.jisp
  * updated Psi+ caps info (psi-application-info.diff)
  + added patch for autocorrect vCard fields size (psi-vcard-smartsize.diff)
  + added patch psi-send-custom-status.diff (thanks to mpk)
  + added icon send status for psi-send-custom-status.diff
  + added patch psi-disable-av-calls.diff
  * renamed psi-info-size.diff to psi-vcard-smartsize.diff
  * renamed win32-specific patches (win->win32)
  + added About Psi+ tab in Help->About menu (about-psi-plus.diff)


2009-03-15  zet
v0.13.302 Beta
  + добавлены иконки для ростера в стиле группчатов (muc.jisp)
  + добавлен патч на проверку новых доступных версий Psi+ при старте приложения (спасибо AlekSi)
  + добавлен счётчик непрочитанных сообщений для свёрнутых в ростер табах
    (psi-muc-minimize-to-roster.diff)
  * поправлено поведение кнопки Delete при нажатии на свёрнутой в ростер конференции
  + теперь имя контакта для свёрнутой в ростер конференции берётся из имени закладки
  * поправлено положение индикатора доставки сообщения после очистки чата
  * добавлено отображение индикатора доставки сообщения для self-контактов и запрещено
    для невидимых контактов
  * поправлено отображение индикатора доставки сообщения для первого сообщения в новом чате
  * поправлена позиция положения индикатора доставки сообщения для чатов в режиме
    use-chat-says-style
  * исправлена http://code.google.com/p/psi-dev/issues/detail?id=58
  * доработки psi-muc-minimize-to-roster.diff
  + добавлено определение клиентов Barracuda IM и Jimm, обновлён fingerprint.jisp
  ! в инсталляторе заменён vcredist_x86.exe на более свежий Microsoft Visual C++ 2008 SP1
    Redistributable Package (x86), который не мусорит в корень жёсткого диска :)
  --
  + added roster iconset muc.jisp
  + added patch psi-dirty-check.diff (thanks to AlekSi)
  + added count of unread message of conference into roster in psi-muc-minimize-to-roster.diff
  * fixed key 'del' bug with conferences in roster in psi-muc-minimize-to-roster.diff
  + added headlined unreaded message counter and getting name of conference from bookmarks into
    psi-muc-minimize-to-roster.diff
  * fix broken 1px align icon after chat clear
  * fixed receipts for self contact and from invisibility
  * fixed received icon position in use-chat-says-style mode and partially fixed issue 58
  * fixed issue 58
  * fixed some bugs in 320-psi-muc-minimize-to-roster.diff
  * fixed first receipt in muc private chat
  + added detection Barracuda IM, Jimm. Updated fingerprint.jisp
  ! added new vcredist_x86.exe from Microsoft Visual C++ 2008 SP1 Redistributable Package (x86)
    in Psi+ installer (no trash in root dir)


2009-03-10  zet
v0.13.282 Beta
  + добавлен смайлпак puzazBox.jisp by puz
  + добавлена ростерная иконка для GluxiBot
  + добавлен патч, меняющий местами кнопки Apply и Cancel в окне настроек (win32)
  + добавлен смайлпак YaEmoMidget
  + добавлены иконки ростера Yandex Status Icons и Yandex Big Status Icons
  * поправлен патч psi-muc-notify-highlight.diff.
    добавлена опция options.ui.notifications.passive-popups.notify-every-muc-message:
    • true = показывает в попапах все сообщения из конференции
    • false = показывает попап только при обращении и при упоминании заданных в настройках слов
  + добавлены ярлыки для psi-typed-history.diff
  + добавлена опция вывода иконок клиентов в ростере: всех имеющихся ресурсов или только ресурса
    с наивысшим приоритетом. также убран знак вопроса в ростере у muc-контакта
  * поправлен патч psi-altN-key-switch-tab.diff
  + добавлен патч на регулировку времени показа всплывающих окон (спасибо Shura0)
  + добавлена иконка для клиента swift
  * Psi+Fingerprint.jisp переименован в fingerprint.jisp
  * поправлен баг с системными сообщениями в конференции (psi-muc-minimize-to-roster.diff)
  ! патч на совместимость с qt-4.5 принят в основную ветку (mainline)
  --
  + added iconsets/emoticons/puzazBox.jisp by puz
  + added client-icon for GluxiBot
  + added psi-options-change-buttons-places.diff
  + added YaEmoMidget smiles
  + added: Yandex Status Icons, Yandex Big Status Icons
  * fixed psi-muc-notify-highlight.diff
  + added shortcuts for psi-typed-history.diff
  + realize some proposals for psi-client-icons.diff
  * fixed alt+n patch
  + added patch psi-passive-popups-delays.diff (thnx to Shura0, issue 27 closed)
  * updated Psi+Fingerprint.jisp (swift icon)
  * simple name for iconpack fingerprint.jisp
  * fixed bug with headline from conference in psi-muc-minimize-to-roster.diff


2009-03-05  zet
v0.13.256 Beta
  + начат changelog.txt
  --
  + changelog.txt started


====
  Условные обозначения (Legend):
  + добавлено (added)
  - убрано (removed)
  * изменено (modified)
  ! важное сообщение (important message)
